/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2008 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',14,'childNodes||!',14,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. Unfortunately, your ','browser',' doesn\'t seem to have this.")}','else{',1,2,'={version:"3.6c",document:document,','window',':',32,',','platform',':(','navigator.',36,'.match(/','Mac/)?"mac":',38,36,40,'Win/)?"pc":"unix"),','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":{"font-family":"serif","font-style":"normal","font-weight":"normal','"},".typeset',48,'","line-height":"normal','","text-indent":"0px','","white-space":"','normal','"},".typeset .',54,48,'"},"div','.typeset','":{"text-align":"','center",margin:"1em 0px"},"span',59,60,'left',49,' span',60,'left",border',':"0px",margin:"0px','",padding',':"0px"},"a .typeset img, .typeset a img','":{border:"0px','","border-bottom":"','1px solid',' blue;"},".typeset .size0','":{"font-size":"','50','%"},".typeset .','size1',76,'60',78,'size2',76,'70',78,'size3',76,'85',78,'size4',76,'100',78,'size5',76,'120',78,'size6',76,'144',78,'size7',76,'173',78,'size8',76,'207',78,'size9',76,'249',78,'cmr10','":{"font-family":"jsMath-',115,', serif',55,'cmbx10',116,120,', ',2,'-cmr10',55,'cmti10',116,127,', ',2,125,55,'cmmi10',116,134,55,'cmsy10',116,138,55,'cmex10',116,142,55,'textit','":{"font-family":"','serif","','font-style":"italic',55,'textbf',147,'serif","font-weight":"bold',55,'link":{"','text-decoration":"none',55,'error',76,'90%","',149,'","background-color','":"#FFFFCC',70,':"1px','",border:"',74,' #CC0000',55,'blank','":{display:"','inline-block','",overflow:"','hidden',166,'0px none",width:"0px",height:"0px',55,'spacer',171,172,'"},"#','jsMath_hiddenSpan":{','visibility:"hidden",position:"absolute",','top:"0px",left:"0px',51,52,181,'jsMath_message','":{position:"fixed",bottom:"','1px",left:"2px',162,'":"#E6E6E6','",border:"solid 1px #959595",margin:"0px",padding:"','1px 8px','","z-index":"','102','",color:"black","font-size":"','small",width:"auto','"},"#jsMath_panel',189,'1.75em",right:"1.5em',70,':".8em 1.6em',162,'":"#DDDDDD',166,'outset 2px',195,'103",','width:"auto',197,'10pt","font-style":"',54,199,' .disabled":{color:"#888888',199,' .infoLink',76,'85%"},"#jsMath_panel *":{"','font-size":"inherit","font-style":"inherit","font-family":"inherit',51,199,' div":{"','background-color":"inherit",color:"inherit"},"#jsMath_panel ','span":{"',224,'td',72,70,69,'","',224,'tr',72,70,69,'","',224,'table',72,70,69,162,'":"inherit",color:"inherit",height:"auto",',210,181,'jsMath_button',189,'1px",right:"2px',162,'":"white',193,'0px 3px 1px 3px',195,'102",color:"black","',156,'","font-size":"x-',198,'",cursor:"hand"},"#',247,' *":{padding:"0px",border',69,51,'","',220,181,'jsMath_global":{"',149,181,'jsMath_noFont',' .message":{"text-align":"center",padding:".8em 1.6em",border:"3px solid #DD0000","background-color":"#FFF8F8",color:"#AA0000","font-size":"',198,181,'jsMath_noFont .link":{padding:"0px 5px 2px 5px',166,'2px outset',162,'":"#E8E8E8',197,'80%",',210,259,'jsMath_PrintWarning',271,'x-',198,'"},"@media print":{"#',247,171,'none',181,'jsMath_Warning',171,'none"}},"@media screen":{"#',283,171,'none"}}},Element',':function(','a','){return ',5,14,15,'("jsMath_"+a)},','BBoxFor',298,'a','){this.','hidden.innerHTML','=\'<nobr><','span class="','typeset"><',311,'scale">\'+a+"</span></span></nobr>";var b={w:this.',174,'.offsetWidth',',h:this.',174,'.offsetHeight','};this.',309,'="";return b},EmBoxFor',298,'b){var a=',5,'Global.cache.R;if(!a[this.em]){a[this.em]={}}if(!a[this.em][b]){var c=this.BBoxFor(b);','a[this.em][b]={w:c.w/this.em,h:c.h/this.em}}return a[this.em][b]},','EmBoxForItalics',298,324,5,326,'if(b.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){c.w=c.Mw=','this.BBoxFor','(b+',5,'Browser.','italicString',').w-',5,337,'italicCorrection','}',327,'Init',':function(){','if(',5,'Setup.inited','!=1){',0,5,349,'){',5,'Setup.','Body()}if(',5,349,'!=1){if(',5,349,'==-100','){return}',22,'It looks like ',2,' failed to set up properly (error code "+',5,349,'+").  I will try to keep going, but it could get ugly.");',5,349,'=1}}this.em=this.CurrentEm();','var a=',5,'Global.cache','.B;',0,'a[this.em]){a[this.em]={};','a[this.em].','bb=',334,'("x");var c=',381,'bb.h;',381,'d=',334,'("x"+',5,'HTML.Rule(1,','c/',5,'em)).h-c;if(',5,337,338,'){',381,'ic=',5,305,'(',5,337,338,').w}}',5,337,342,'=',381,'ic;var g=',381,'bb;var e=g.h;var f=',381,'d;this.h=(e-f)/this.em;this.d=f/this.em;this.hd=this.h+','this.d;this.',356,'TeXfonts','();var b=this.EmBoxFor(\'<',311,115,'">M</span>\').w/2;this.TeX.M_height=b*(26/14);this.TeX.h=this.h;this.TeX.d=',419,'TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',308,356,'Sizes','();this.','Img.UpdateFonts()}this.p_height=(','this.TeX.cmex10[0].','h+',435,'d)/0.85;',429,'=1},ReInit',346,'if(this.','em!=this.CurrentEm()){this.Init()}},CurrentEm',346,375,334,'(\'<span style="\'+',5,337,'block+\';width:27em;height:1em','"></span>\').','w/27;if(a>0',300,'a}return ',334,'(\'<img src="\'+',5,170,'+\'" style="width:13em;height:1em" />\').w/13},Loaded',346,'if(',8,7,'b=["Process","ProcessBeforeShowing","ProcessElement","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var a=0;a<','b','.length;a++){','if(',8,'[b[a]]){','delete ',8,'[b[a]]}}}if(',8,'){this.Insert(',2,',',8,')}',8,'=null;',5,6,'=1},Add',298,'c,a){for(var b in a){','c[b]=a[b]}},Insert',298,486,'if(c[b]&&typeof(a[b])=="object"&&(','typeof(c[b])=="','object"||',491,'function")){this.Insert(c[b],a[b])}',28,'c[b]=a[b]}}},Package',298,'b,a',475,'b.prototype,a)}};',5,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',346,5,377,'={',503,':{}}},GoGlobal',298,324,'String(',5,1,'location',');var d=(',5,'isCHMmode','?"#":"?");if(b){a=a.replace(/\\?.*/,"")+"?"+b}',5,'Controls.','Reload(',5,'root+"',2,'-global.html"+d+escape(a))},Init',346,'if(',5,'Controls.cookie.','global=="always"&&!',5,'noGoGlobal','){if(',38,'accentColorName',364,0,5,32,'){',5,32,'=',32,'}',5,522,6,'=1;',5,522,'defaults.hiddenGlobal=null;this.GoGlobal(',5,522,'SetCookie(2))}},Register',346,375,5,1,'parent;',0,5,519,'){',5,519,'=(',5,1,516,'.protocol','=="mk:")}try{',0,5,519,308,'Domain()}if(a.',2,'&&a.',5,'isGlobal){a.',5,'Register(',5,32,')}}catch(b){',5,534,'=1}},Domain',346,'if(',38,'appName=="Microsoft Internet Explorer"&&',5,36,'=="mac"&&',38,'userProfile','!=null',364,'if(',5,14,'all&&!',5,1,'opera',364,'if(',32,'==parent',364,'var b=',5,14,'domain',';try{while(true){try{if(parent.',14,'title',601,'){return}}','catch(a){}',0,14,618,'.match(/\\..*\\./)){break}',5,14,618,'=',5,14,618,'.replace(/^[^.]*\\./,"")}}',624,5,14,618,'=b}};',5,'Script={request:null,Init',346,'if(!(',5,531,'asynch&&',5,531,'progress',')){if(',1,'XMLHttpRequest','){try{','this.request','=new ',654,'}catch(c){}if(',656,'&&',5,'root.match','(/^file:\\/\\//)){try{',656,'.open("GET",',5,525,5,'js",false);',656,'.send(null)}catch(','c){',656,'=null;if(',1,'postMessage&&',1,'addEventListener',308,'mustPost','=1;',5,1,679,'("message",',5,'Post.','Listener,false)}}}}',0,656,'&&',1,'ActiveXObject','&&!this.',681,7,'a=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',699,'.3',699,'","Microsoft.XMLHTTP"];','for(var b=0;b<','a.length&&!',656,';b++){try{',656,'=new ',694,'(a[b])}catch(c){}}}}',0,656,'||',5,356,'domainChanged',308,'Load=this.delayedLoad;this.needsBody=1}},Load',298,'b,a){','if(a){',5,'Message.Set("Loading "+','b);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",b',');',5,731,5,'Message',',"Clear")}',28,5,731,732,')}},xmlRequest',298,'url){','this.blocking','=1;try{',656,666,'url,false);',656,672,'err){',746,'=0;if(',5,'Translate.','restart&&',5,'Translate.asynchronous){return""}throw Error("jsMath can\'t load the file \'"+url+"\'\\','nMessage: "+err.message)}if(',656,'.status',601,'&&(',656,763,'>=400||',656,763,'<0)){',746,'=0;if(',5,757,'restart&&',5,760,'nError status: "+',656,763,')}',0,'url','.match(/\\.js$/)){','return(',656,'.responseText',')}var tmpQueue','=this.queue;this.queue','=[];',5,1,'eval(',656,788,');',746,'=0;','this.queue=this.queue.concat(','tmpQueue);this.Process();return""},cancelTimeout:30*1000,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',298,'a,b','){if(typeof(','a)!="string"){',5,731,'null,a,b)}',28,5,731,5,32,',"eval",a)}},Push',298,'a,c,b',308,'queue[','this.queue.length',']=[a,c,b];if(!(',746,'||(this.needsBody&&!',5,14,'body))){this.Process()}},Process',346,'while(',819,'&&!',746,7,'c=this.queue[0];this.queue=this.queue.slice(1);',375,'this.SaveQueue();var b=c[0];var e=c[1];var d=c[2];if(b){b[e](d)}',28,'if(e){e(d)}}this.','RestoreQueue','(a)}},SaveQueue',346,'var a',790,'=[];return a},',837,298,'a){',800,'a)},delayedLoad',298,'a',308,'Push(','this,"','startLoad','",a)},',853,298,'a',7,'b=',5,14,20,'("iframe");b','.style.visibility="',174,'";b.style.','position="absolute";','b','.style.width="','0px";b','.style.height="','0px";if(',5,14,'body.firstChild','){',5,14,'body.insertBefore(b,',5,14,875,')}',28,5,14,'body','.appendChild(','b)}',746,'=1;this.','url=a;if(a','.substr(0,',5,'root.length',')==',5,'root){a=a.substr(',5,895,')}',5,725,'a);this.cancelTimer=setTimeout("',5,728,'cancelLoad','()",this.cancelTimeout);',442,681,'){','b.src=',5,688,853,'(a,b)}',28,'if(a',785,912,5,525,2,'-loader.html"}',28,912,'this.url}}},','endLoad',298,'a){if(this.cancelTimer){clearTimeout(this.cancelTimer);this.cancelTimer=null}',5,688,928,'();',5,737,'.Clear();if(a!="cancel"){',746,'=0;this.Process','()}},Start',346,'this.tmpQueue',790,'=[]},End',346,800,942,');',471,942,'},',907,298,'b,',930,'if(b==null){b','="Can\'t load file"}if(a==null){a=2000}',5,737,'.Set(b);setTimeout(\'',5,728,928,'("cancel")\',a)},Delay',298,'a){',746,'=1;setTimeout("',5,728,'endDelay','()",a)},',971,346,746,939,'()},','imageCount',':0,WaitForImage',298,'b){',746,891,978,'++;',442,'img==null',308,'img=[]}',375,'new Image',433,'img[this.img.length]=a;a.onload=function(){if(--',5,728,978,'==0){',5,728,971,'()}};a.onerror=a.onload;a.onabort=a.onload;a.src=b},Uncompress',298,'data){for(var k=0;k<data.length;k++){var d=data[k];var n=d.length;for(var i=0;i<n;i++){if(typeof(d[i])=="number"){d[i]=d[d[i]]}}data[k]=d.join("")}',1,'eval(data.join(""))}};',5,'Post={',32,':null,Listener',298,'d){if(d.source!=',5,688,32,364,'var e=d.origin','.replace(/^file:\\/\\//,"");',375,14,618,1017,'if(e==null||e==""||e=="null"){e','="localhost"}if(','a==null||a==""||a=="null"){a',1023,'e!=a||!','d.data.substr(','0,6).match(/jsM(CP|LD|AL):/)){return}var b=',1027,'6,3).replace(/ /g,"");var c=',1027,'10);if(',5,'Post.Commands[b',']){(',5,1034,'])(c)}},Commands:{SCR',298,'message){',5,1,'eval(message)},ERR',298,'a){',5,728,907,'(a,3000)},BGN',298,'a){',5,728,'Start()},END',298,'a){',723,5,728,'End()}',5,728,928,'()}},',853,298,'a,b',308,32,'=b.contentWindow;',0,'a',785,'return ',5,'root+',454,5,525,2,'-loader-post.html?"+a},',928,346,'this.',32,'=null}};',5,737,'={',170,':null,message:null,text:null,clear:null,Init',346,0,5,14,'body||!',5,531,651,364,'this.message','=',5,'Element("message");',0,1101,'){if(',5,356,'stylesReady){',1101,'=',5,'Setup.DIV("','message",{visibility:"',174,'"},',5,'fixedDiv',')}',28,1101,'=',5,1114,'message",{',183,'bottom:"',190,'",','backgroundColor',':"#E6E6E6',193,194,'",zIndex:102,color:"black",fontSize:"',198,'"},',5,1119,')}}','this.text','=',5,14,'createTextNode','("");',1101,888,1141,');',1101,'.onmousedown=',5,757,'Cancel},Set',298,722,'if(this.clear){clearTimeout(this.clear',');this.clear=null}if(',5,531,651,'){',0,1141,308,'Init();',0,1141,623,'if(',5,337,'textNodeBug','){',1101,'.innerHTML','=b}',28,1141,'.nodeValue','=b}',1101,864,'visible";',723,1101,'.style.cursor','="pointer";',0,1101,1188,'){',1101,1188,'="hand"}',1101,'.title=" Cancel Processing of Math "}',28,1101,1188,'="";',1101,'.title=""}}',28,'if(b',893,'8)!="Loading "){',5,1,'status=b}}},Clear',346,1158,')}this.clear=setTimeout("',5,737,'.doClear()",1000)},doClear',346,442,'clear',308,'clear=null;',5,1,'status="";',442,'text){',1141,1181,'=""}if(',1101,'){',1101,864,174,'"}}},Blank',346,442,170,'||!',5,14,'body',364,'this.blank','=',5,1114,170,'",{position',':(',5,337,'msiePositionFixedBug','?"absolute":"fixed"),',184,'",bottom:"0px",right:"0px",zIndex:101,',1131,':"white"},',5,1119,');if(',5,337,'msieBlankBug){',1245,1177,'="&nbsp;";',1245,869,'110%";',1245,871,'110%"}},UnBlank',346,442,170,'){',5,14,'body.removeChild(',1245,')}',1245,'=null}};',5,'Setup={',6,':[],DIV',298,'e,c,b){',956,'=',5,14,'body}var d=',5,14,20,'("div");d.id="jsMath_"+e;','for(var a in c){','d.style[a]=c[a]}',0,'b.hasChildNodes){b',888,'d)}',28,'b.insertBefore(d,','b.firstChild',')}return d},Script',298,722,442,6,'[b]){return}',28,'this.',6,'[b]=1}',0,'b.match("^([a-zA-Z]+:/?)?/")){b=',5,'root+b}',5,728,'Load(b,a)},Hidden',346,5,174,'=this.DIV("Hidden",{',183,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,174,';return},Source',346,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,1343,'}',28,5,'root="";',375,5,14,'getElementsByTagName("','script");',723,705,'a.','length;b++){','var d=a[b].src;if(d&&d.match("(^|/|\\\\\\\\)',5,'js$")){',5,1346,'d.replace','(/',5,'js$/,"");break}}}}if(',5,'root.charAt(','0)=="\\\\"){',5,1346,5,'root.replace','(/\\\\/g,"/")}if(',5,1372,'0)=="/"){if(',5,1372,'1)!="/"){',5,'root="//"+',5,14,516,'.host+',5,'root}',5,1346,5,14,516,573,'+',5,1392,28,0,5,663,'(/^[a-z]+:/i)){var d=','new String(',5,14,516,');var c=new RegExp("/[^/]*/\\\\.\\\\./");',5,1346,1367,'(new RegExp("[^/]*$"),"")+',5,'root;while(',5,663,'(c)){',5,1346,5,1377,'(c,"/")}}}',5,'Img.',1346,5,525,'fonts/";',5,170,'=',5,525,170,'.gif";this.Domain()},Domain',346,'try{',5,14,618,'}catch(d',364,'var c="";',375,5,14,618,';if(',5,663,'("://([^/]*)/")){c=RegExp.$1}c=c.replace(/:\\d+$/,"");if(c==""||c==a',364,'if(',38,'appName=="Microsoft Internet Explorer"&&',5,36,'=="mac"&&',38,'onLine&&',38,600,'&&',5,14,'all',364,'c=c.split(/\\./);a=a.split(/\\./);if(c.length<2||a.length<2||','c[c.length-','1',']!=a[a.length-','1]||',1472,'2',1474,'2]){this.','DomainWarning','();return}var e=',1472,'2]+"."+',1472,'1];for(var b=3;b<=c.length&&b<=a.',1361,'if(',1472,'b',1474,'b]){break}e=',1472,'b]+"."+e}',5,14,618,'=e;this.',718,'=1},',1480,346,22,'In order for ',2,' to be able to load the additional components that it may need, the ',5,'js file must be ',6,' from a server in the same ',618,' as the page that contains it.  Because that is not the case for this page, the',24,'displayed here may not appear correctly.")},','EncodeFont',298,'c',7,'b=',5,'TeX[c];if(b','[0].c',601,364,465,'128;a++){var d=b[a];b[a]=d[3];if(b[a]==null){b[a]={}}b[a].w=d[0];b[a].h=d[1];if(d[2]!=null){b[a].d=d[2]}b[a].c=',5,'TeX.encoding[a]}},Fonts',346,705,5,'TeX.fam','.',1361,375,5,1531,'[b];if(a',308,1514,'(a)}}},TeXfont',298,'c',7,'b=',5,1520,'==null',364,375,5,'EmBoxFor(\'<span class="\'+c+\'">\'+b[65].c','+"</span>");b.hd=a.h;b.d=',5,1551,'+',5,392,'b.hd)+"</span>").h-b.hd;b.h=b.hd-b.d;','if(c=="',134,'"){b.skewchar=','127}',28,1559,138,1561,'48}}},',421,346,465,5,1531,467,'if(',5,1531,'[a]){this.TeXfont(',5,1531,'[a])}}},Sizes',346,5,'TeXparams','=[];var b;var a;for(a=0;a<',5,46,467,5,1583,'[a]={}}for(b in ',5,'TeX',804,5,'TeX[b])!="object"){for(a=0;a<',5,46,467,5,1583,'[a][b]=',5,46,'[a]*',5,'TeX[b]/100}}}},Styles',298,'a){',0,'a){a=',5,'styles;a[".typeset .scale"]={"font-size":',5,531,'scale+"%"};this.stylesReady=1}',5,731,852,'AddStyleSheet','",a);if(',5,337,'styleChangeDelay','){',5,731,5,'Script,"Delay",1)}},StyleString',298,'e',7,'a={},f;for(f in e){if(typeof e[f]==="string"){a[f]=e[f]}',28,'if(f',893,'1)==="@"){a[f]=','this.StyleString(','e[f])}',28,'if(e[f]!=null',7,'d=[];for(var c in e[f]){if(e[f][c]!=null){d[d.length]=c+": "+e[f][c]}}a[f]=d.join("; ")}}}}var b="";for(f in a){b+=f+" {"+a[f]+"}\\n"}return b},',1619,298,'d',7,'b=',5,14,1356,'head")[0];if(',324,1637,'d);if(',5,14,'createStyleSheet){b.insertAdjacentHTML("beforeEnd",\'<','span style="display:','none">x</span><style type="text/css">\'+a+"</style>")}',28,'var c=',5,14,20,'("style");c.type="text/css";c',888,5,14,1145,'(a));b',888,'c)}}',28,0,5,'noHEAD){',5,'noHEAD=1;',22,'Document is missing its <HEAD> section.  Style sheet can\'t be created without it.")}}},Body',346,442,'inited',364,'this.inited=-','1;',5,356,'Hidden();',1685,'2;',5,337,1167,1685,'3;if(',5,531,170,'){',5,737,'.Blank()}',1685,'4;',5,356,'Styles();',1685,'5;',5,522,1167,1685,'6;',5,731,5,'Setup,"User","pre-font");',1685,'7;',5,731,5,'Font,"Check");if(',5,'Font.register.length){',5,731,5,'Font,"LoadRegistered")}this.inited=1},User',298,'a){if(',5,'Setup.UserEvent[a',']){(',5,1735,'])()}},UserEvent:{"pre-font":null,onload:null}};',5,'Update={',421,298,'d){for(var a in d){for(var b in d[a]){for(var c in d[a][b]){',5,'TeX[a][b][c]=d[a][b][c]}}}},TeXfontCodes',298,'c){',1301,705,'c[a].',1361,5,'TeX[a][b].c=c[a][b]}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,','separateSkips',':0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1623,':0,delay:1,version:0,','TestSpanHeight',346,5,309,'=\'<span><','span style="\'+this.block','+\';height:2em;width:','1px"></span','></span>\';var b=',5,'hidden.firstChild;',375,1309,';this.','spanHeightVaries','=(b',319,'>=a',319,'&&b',319,'>0);','this.spanHeightTooBig','=(b',319,'>a',319,');',5,309,'=""},','TestInlineBlock',346,'this.block="display',':-','moz-inline-box";','this.hasInlineBlock','=',5,'BBoxFor(\'<span style="\'+this.block','+\';width:10px;height:5px"></span>\').w>0;if','(',1801,'){',5,'styles[".typeset',' .',170,'"].display="-',1800,471,5,1810,' .spacer"].display','}',28,1798,':',172,'";',1801,'=',5,1804,1805,'(!',1801,623,'this.block+=";overflow:',174,'";',375,5,305,'("x").h;this.mozInlineBlockBug=',5,1804,'+";height:"+a+\'px;width:1px','"></span>x','<',1770,'+";height:"+a+"px;width:1px;vertical-align:-"+a+\'px',451,'h>2*a;this.widthAddsBorder=',5,1804,'+\';overflow:',174,';height:1px;width:10px',';border-left:','10px solid',451,'w>10;','this.msieBorderBug','=',5,1804,1842,1843,'\').h!=',5,1804,1842,1854,74,1843,'\').h;','this.blankWidthBug=',1858,'||',5,1804,1771,'0px',451,'h==0},','TestRenameOK',346,5,309,'="<span></span>";',375,5,1775,'a.setAttribute("name","','jsMath_test','");this.renameOK=(',5,14,'getElementsByName("',1890,'").length>0);',5,309,1795,'TestStyleChange',346,5,309,'=\'<span ID="',1890,'">x</span>\';var b=',5,1775,375,'b',316,';',5,356,1619,'({"#',1890,'":"font-size:200%"});this.',1623,'=(b',316,'==a);',5,309,1795,'VersionAtLeast',298,324,1407,'this.version',').split(".");','b=',1407,'b',1931,'if(b[1]==null){b[1]="0"}return a[0]>b[0]||(a[0]==b[0]&&a[1]>=b[1])},Init',346,5,26,'="unknown";this.',1796,433,1765,433,1881,433,1900,433,'MSIE',433,'Mozilla',433,'Opera',433,'OmniWeb',433,'Safari',433,'Konqueror();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute}',28,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative}',442,1757,'){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1989,1986,'}},MSIE',346,442,1779,'&&!',1787,'){',5,26,'="MSIE";if(',5,36,'=="pc"){this.','IE7=(',1,654,601,');','this.quirks','=(',5,14,'compatMode=="BackCompat");this.msieStandard6=!',2012,695,'IE7;',1960,891,1757,'=1',';this.buttonCheck=1;this.','msieBlankBug=1;this.','msieAccentBug',891,'msieRelativeClipBug','=1;this.msieDivWidthBug=1;this.',1254,891,'msieIntegralBug',891,'waitForImages',891,'msieAlphaBug','=!this.IE7;this.','alphaPrintBug',2037,1759,'="position:relative; ";this.',1761,'=" display:',172,';";this.msieTeXfontBaselineBug=!',2012,';',1858,'=',1872,'1;this.msieSpaceFix=\'<span style="margin-right:-',1772,'><',1658,172,'; width:',1772,'>\';',5,'Macro("','joinrel','","\\\\mathrel{\\\\','kern-5mu}"),',5,'Parser.prototype.mathchardef.','mapstocharOrig','=',5,2065,'mapstochar;',471,5,2065,2070,5,2060,'mapstochar","\\\\','rlap{\\\\',2066,'\\\\,}\\\\kern1mu"),',5,1810,' .arial"]={"font-family":"\'Arial unicode MS\'"};',0,'this.IE7||',2012,'){',5,'styles["#jsMath_message"].',867,471,5,2089,'width;',5,'styles["#jsMath_panel"].',867,471,5,2096,'width;',5,'styles["#jsMath_button"].','width="1px";',5,2103,867,471,5,2103,'width;',5,1119,'=',5,1114,1119,1250,':"absolute",zIndex:101});',5,1,'attachEvent("','onscroll",',5,'Controls.MoveButton',');',5,1,2122,'onresize",',5,2125,');',5,2125,'()}',5,'styles["#jsMath_noFont .link"].','display="',172,'";',471,5,1810,1818,';',5,'styles[".tex2math_div','"]={};',5,'Add(',5,2148,'"],',5,'styles["div',59,'"]);',5,2148,'"].width="100%";',5,2148,'"].',2139,172,'";',5,1810,'"]["letter-spacing"]="0";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2171,'!=',2173,308,'imgScale*=',2173,'/',2171,';',5,531,'alpha=0}this.',338,'="<i>x</i>";',5,'EmBoxFor=',5,328,'}',28,'if(',5,36,'=="mac"){this.msieAbsoluteBug',891,'msieButtonBug',2029,2025,'quirks=1;',5,356,'Script("',2,'-msie-mac.js");',5,'Parser.prototype.macros.angle=["Replace","ord",\'<font face="Symbol">&#x8B;</font>\',"',54,'"];',5,2096,'width="42em";',5,531,'printwarn=0}}',5,2060,'not',2062,2078,'kern3mu/}}");',5,'Macro("angle","\\\\raise1.','84pt','{\\\\kern2.5mu\\\\rlap{\\\\scriptstyle/}\\\\','kern.5pt\\\\','rule{.4em}{-','1.5pt}{1.84pt}\\\\kern2.5mu}")}},',1951,346,'if(',5,174,'.ATTRIBUTE_NODE&&',5,1,'directories){',5,26,'="',1951,'";if(',5,36,2006,2038,'=1}',1960,'=1;',5,2103,'cursor=',5,2138,'cursor="pointer",',5,2060,'not',2062,2078,'kern3mu/}}");',5,2226,'34pt',2228,2230,'1pt}{1.34pt}\\\\kern2.5mu}");if(',38,'vendor=="Firefox"){',1930,'=',38,'vendorSub}',28,'if(',38,'userAgent.match(" Firefox/([0-9.]+)([a-z ]|$)")){',1930,'=RegExp.$1}}',442,1926,'("3.0")){this.mozImageSizeBug=1}}},',1955,346,'if(',38,'accentColorName){',5,26,'="',1955,'";','this.allowAbsolute','=',1801,';',1960,'=',2296,';this.valignBug=!',2296,2024,1174,'=1;',5,'noChangeGlobal=1;',0,1801,'){jsMath.'],
  ['Setup','.Script','("','jsMath','-old-browsers.js','")}}},Opera',':function(){','if(this.','spanHeightTooBig){',3,'.browser="','Opera";','var b=','navigator.userAgent.match','("Opera 7");','this.allowAbsolute=0;this.','delay=10;','this.','operaHiddenFix="[Processing]";if(b){',3,'.Setup.Script','("',3,4,'")}','var a=','navigator.appVersion.match','(/^(\\d+\\.\\d+)/);if(a){','this.version=a','[1]}else{',17,'vesion=0}',17,'operaAbsoluteWidthBug=',17,'operaLineHeightBug=(a[1]>=9.5&&a[1]<9.6)}},Safari',6,'if(',26,'(/Safari\\//)){',3,10,'Safari";if(navigator.vendor','.match(/','Google/)){',3,10,'Chrome"}',25,13,'("Safari/([0-9]+)");a=(a)?a[1]:400;',28,';',3,'.TeX.','axis_height','+=0.05;',17,'allowAbsoluteDelim=','a>=125;',17,'safariIFRAMEbug=a>=312&&a<412;',17,'safariButtonBug=a<412;',17,'safariImgBug=1;',17,'textNodeBug=1;',17,'buttonCheck=a<500;',17,'styleChangeDelay=1;',3,'.Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3.25mu/}}")}},','Konqueror',6,'if(','navigator.product','&&',77,'.match("',74,'")){',3,10,74,'";',15,58,'0;if(',13,'(/',74,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',17,'separateSkips=1;',17,'valignBug=1;',3,20,'("',3,4,'")}}',3,'.Add(',3,'.styles,{".typeset .cmr10":"','font-family: ',3,'-','cmr10, ',3,' cmr10',', serif','",".typeset .','cmbx10":"',108,3,'-cmbx10, ',3,' cmbx10, ',3,'-',111,3,113,115,'cmti10":"',108,3,'-cmti10, ',3,' cmti10, ',3,'-',111,3,113,115,'cmmi10":"',108,3,'-cmmi10, ',3,' cmmi10',115,'cmsy10":"',108,3,'-cmsy10, ',3,' cmsy10',115,'cmex10":"',108,3,'-cmex10',', ',3,' cmex10"});',3,'.Font.testFont','="',3,157,', ',3,' cmex10"}}};',3,'.Font={testFont:"',3,157,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts ','found</b> -- using',' image fonts instead','.<br/>\\nThese may be slow and might not print well.<br/>\\nUse the ',3,' control panel to get additional information','.",','extra_message',':\'Extra',175,'not found: <b><span id="jsMath_ExtraFonts"></span></b><br/>Using',177,'.  This may be slow and might not print well.<br/>\\nUse the ',3,180,'.\',','print_message',':"To print higher-resolution math symbols, click the<br/>\\n<b>Hi-Res Fonts for Printing</b> button on the ',3,' control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\nusing the <B>Options</B> pane of the ',3,194,'Test1',':function(','c,','f,d,e){if(f==null){f=124}if(d==null){d=2}if(e==null){e=""}var b=jsMath.BBoxFor(\'<span style="font-family: \'+e+c+\', serif">\'+jsMath.TeX[c][f].c+"</span>");var a=jsMath.BBoxFor(\'<span style="font-family: serif">\'+jsMath.TeX[c][f].c+"</span>");return(','b.w>d*a.w&&b.h!=0)},Test2',200,'c,',202,'a.w>d*b.w&&b.h!=0)},CheckTeX',6,25,3,'.BBoxFor(\'<','span style="','font-family: \'+',3,162,'+\', serif">\'+',3,54,'cmex10[1','].c+"</span>");',3,'.nofonts=((a.w*3>a.h||a.h==0)&&!this.Test1("cmr10','",null,null,"',3,'-"));if(!',3,'.nofonts){','return}','if(',3,'.browser!="Mozilla"||(',3,'.platform','=="mac"&&(!',3,'.Browser.VersionAtLeast(','1.5)||',3,236,'3)))||(',3,233,'!="mac"&&!',3,236,'3))){a=',3,'.BBoxFor(\'<',212,108,'CMEX10, serif">\'+',3,54,'cmex10[1',220,3,222,'"));if(!',3,227,3,20,'("',3,'-BaKoMa-fonts.js")}}},Check',6,25,3,'.Controls.','cookie;',17,'CheckTeX();if(',3,227,'if(a.autofont','||a','.font=="tex"){','a.font=',17,'fallback;if(a.warn){',3,'.nofontMessage=1;a.warn=0;',3,269,'SetCookie(0);if','(',3,'.window.NoFontMessage','){',3,288,'()}else{','this.Message(this.','message)}}}}else{',275,'){a.font="tex"}if(a',277,'return}}if(',3,'.noImgFonts){','a.font="unicode"}if(a','.font=="unicode','"){',3,20,'("',3,'-fallback','-"+',3,233,'+".js");',3,'.Box.TeXnonfallback=',3,'.Box.TeX',';',3,316,'=',3,'.Box.TeXfallback;return}','if(!a.print&&a.printwarn){',17,'PrintMessage','((',3,'.Browser.','alphaPrintBug&&',3,269,'cookie.alpha)?',17,191,'+',17,195,':',17,191,')}if(',3,328,'waitForImages){',3,1,'.Push(',3,1,',"WaitForImage",',3,'.blank)}if(a.font=="symbol"){',3,20,'("',3,308,'-symbols.js");',3,'.Box.TeXnonfallback=',3,316,';',3,316,'=',3,322,3,'.Img.SetFont','({cmr10:["all"],cmmi10:["all"],cmsy10:["all"],cmex10:["all"],cmbx10:["all"],cmti10:["all"]});',3,'.Img.LoadFont','("cm-fonts")},Message',200,'a){if(',3,'.Element("Warning',82,228,12,3,'.Setup.DIV("','Warning','",{});b.innerHTML=\'<center><table><tr><td><div ','id="jsMath_noFont"><div ','class="message">\'+a','+\'<div style="text-align:left"><',212,'float:left; ','margin: 8px ','0px 0px 20px"><span onclick="',3,269,'Panel()" ','title=" Open ','the ',3,' Control Panel',' " class="link">',3,399,'</span></span','><',212,391,'20px 0px 0px; float:right"><span onclick="',3,'.Font.','HideMessage','()" title=" Remove this font warning message',400,'Hide this Message',403,'></div><div style="height:6px"></div><br clear="all"/></div></','div><div style="width:22em; height:1px"></div></td></tr></table></center><hr/>\'},',410,6,25,3,378,'");if(a','){a.style.display="none"}},',325,200,376,3,'.Element("','PrintWarning',82,228,12,3,383,429,385,387,'+\'</',416,'Register',200,'h,b){if(typeof(h)=="string"){h={name:h}}if(!',3,'.Setup.inited','&&!b){','this.register','[',446,'.length]=h;',228,'var i=h.name;',25,'i.replace(/10$/,"");var f=',3,54,'fam.length;if(h.prefix==null){h.prefix=""}if(!h.style){h.style="font-family: "+h.prefix+i+", serif"}if(!h.styles){h.styles={}}if(!h.macros){h.macros={}}',3,54,'fam[f]=i;',3,54,'famName[i]=f;h.macros[a]=["HandleFont",f];',3,105,3,'.Parser.prototype.macros,h.macros);h.styles[".typeset ."+i]=h.style;',3,'.Setup.Styles(h.styles);if(',3,'.initialized){',3,1,'.Push(',3,'.Setup,"TeXfont",i)}var c=',3,269,270,'var e=!',3,'.nofonts&&h.test(i,h.testChar,h.testFactor,h.prefix);if(e&&c',277,'if(h.tex){h.tex(i,f,h)}',228,'if(!e&&c.warn&&c.font=="tex"&&!',3,227,'if(!c.fonts.match("/"+i+"/")){c.fonts+=i+"/";',3,269,285,'(!',3,378,82,293,182,')}var g=',3,428,'ExtraFonts");if(g){if(g','.innerHTML','!=""){g',502,'+=","}g',502,'+=" "+h.prefix+i}}}if(c',302,'"||',3,300,'if(h.fallback){h.fallback(i,f,h)}',228,'var d={};if(c.font=="symbol"&&h.symbol!=null){d[i]=h.symbol(i,f,h)}else{d[i]=["all"]}',3,370,'(d);',3,373,'(i);if(',3,'.initialized){',3,1,'.Push(',3,'.Img,"Scale");',3,1,'.Push(',3,'.Img,"UpdateFonts")}},LoadRegistered',6,25,'0;while(a<',446,'.length){',17,440,'(',446,'[a++],1)}',446,'=[]},Load',200,'a){',3,20,'(',17,'URL(a))},URL',200,'a){','return ',3,'.Img.root+a+"/def.js"}};',3,'.Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},','cookiePath',':"/",','noCookiePattern',':/^(file|mk):$/,Init',6,17,'panel=',3,383,'panel",{display:"none"},',3,'.fixedDiv);','if(!',3,328,'msieButtonBug){',17,'Button',292,'setTimeout("',3,269,576,'()",500)}},Panel',6,3,'.Translate.Cancel();',7,'loaded){',17,'Main',292,3,1,'.delayedLoad(',3,'.root+"',3,'-controls.html")}},',576,6,25,3,383,'button",{},',3,570,'a.',396,3,399,' ";a',502,'=\'<span onclick="',3,269,'Panel()">',3,'</span>\';if(!',3,'.Global.','isLocal&&!',3,'.noShowGlobal){a',502,'+=\'<span id="jsMath_global" ',396,3,' Global Panel " onclick="',3,619,'Show(1)">Global&nbsp;</span>\'}if(a.offsetWidth<30){a.style.width="auto"}if(!','this.cookie','.button',423,'MoveButton',6,3,'.fixedDiv.style.','left=','document.body.','scrollLeft+"px";',3,637,'top=',639,'scrollTop+',639,'clientHeight+"px";',3,637,'width=',639,'clientWidth+"px"},GetCookie',6,'if(','this.defaults','==null){',655,'={}}',3,105,655,',',631,');',17,'userSet={};var c=',3,'.document.cookie',';if(',3,'.window.location','.protocol.match(',17,561,')){c=',17,'localGetCookie','();',17,'isLocalCookie','=1}if(c',43,3,'=([^;]+)/)){var d=unescape(RegExp.$1).split(/,/);for(',12,'0;b<d.length;b++){',25,'d[b].match(/(.*):(.*)/);if(a[2].match(/^\\d+$/)){a[2]=1*a[2]}',631,'[a[1]]=a[2];',17,'userSet[a[1]]=1}}},',677,6,554,3,671,'.search.substr(1)},SetCookie',200,'f){var b=[];for(var e in ',631,'){if(',655,'[e]==null||',631,'[e]!=',655,'[e]){b[b.length]=e+":"+',631,'[e]}}b=b.join(",");',7,680,'){if(f==2){return"',3,'="+escape(b)}',17,'localSetCookie','(b,f)}else{b=escape(b);if(b==""){f=0}',7,559,'){b+="; path="+',17,559,'}',7,'cookieDomain','){b+="; domain="+',17,726,'}if(',631,'.keep!="0D"){var a={D',':1000*60*60*24',',W',733,'*7,M',733,'*30,Y',733,'*365};var d=new Date;d.setTime(d.getTime()+',631,'.keep.substr(','0,1)*a[',631,742,'1,1)]);b+="; expires="+d.toGMTString()}if(b!=""){',3,668,'="',3,'="+b;var c=',3,668,';if(f&&!c',43,3,'=/)){alert("Cookies must be enabled in order to save ',3,' options")}}}',554,'null},',717,200,'b,c){if(!c){',228,25,'String(',3,671,').replace(/\\?.*/,"");if(b!=""){a+="?',3,715,'if(a!=',3,671,'.href){',17,'Reload(a)}},Reload',200,'a){if(!',17,587,228,17,'loaded=0;',3,444,'=-100;',3,619,'ClearCache();if(a){',3,671,'.replace(a)}else{',3,671,'.reload()}}};',3,'.Click={CheckClick',200,780,'a){a=',3,'.window.event}if','(a.altKey){',3,269,'Panel()}},CheckDblClick',200,'b){if(!b){b=',3,804,'(!',3,'.Click.DblClick){',3,'.Extension.Require("double-click",1);',25,'b;b={};for(var c in a){b[c]=a[c]}}',3,1,'.Push(',3,'.Click,"DblClick",[b,',17,'alt])}};',3,'.TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,',55,':0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',831,'778',831,'694',831,'667',831,'75',831,'722',831,'778',831,'722',831,'778',831,'722',831,'583',',0.694,0,{ic:0.0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.556',',0.694],[0.','556',855,'833',855,'833',855,'278',',0.431],[0.','306',',0.431,0.194],[0.','5',855,'5',855,'5,0.628],[0.5',855,'5,0.568],[0.75',855,'444,0,0.17],[0.5',855,'722',863,'778',863,'5,0.528,0.0972],[0.903,0.683],[1.01',831,'778,0.732,0.0486],[0.278',',0.431,0,{','krn:{"108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{','lig:{"96":','60}}],[0.5',855,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',892,'778',855,'278',885,'krn:{"63":0.111,"33":0.111},lig:{"39":34}}],[0.389',',0.75,0.25],[0.','389',900,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',883,'lig:{"45":','123}}],[',905,'],[0.5',900,'5,0.644','],[0.5,0.644],[0.5,0.','644',915,'644',915,'644',915,'644],[0.5,0.644],[0.278',863,'278',865,'278,0.5',906,'778',',0.367,-0.133],[','0.472,0.5',906,'472',885,886,'62}}],[0.778',855,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',940,'79',940,'71',940,'85',940,'81',940,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',831,'722',831,'764',938,'88',940,'87',940,'65',940,'86',940,'89":-','0.0278}}],[0.','681',831,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',831,'75',831,'361',938,'73":',967,'514',831,'778',938,'79',940,'67',940,'71',940,'81":-',967,'625',938,951,'917',831,'75',831,'778',938,'88',940,'87',940,'65',940,'86',940,'89":-',967,'681',938,'65','":-0.0833,"','111',940,'101',940,'97',940,'46',1015,'44":-0.','0833}}],[0.','778,0.683',906,'736',938,'116',940,'67',940,'79',940,'71',940,'85',940,'81',940,951,'556',831,'722',938,'121',940,'101',1015,'111',1015,'114',1015,'97',1015,'65',1015,'117":-0.',1025,'75',831,'75',',0.683,0,{ic:0.','0139,',972,'1.03',1064,'0139,',972,'0.75',938,'79',940,'67',940,'71',940,'81":-',967,'75',1064,'025,krn:{"101',1015,'111',1015,'114',1015,'97',1015,'65',1015,1059,1025,'611',831,'278',900,'5',855,'278',900,'5',855,'278,0.668],[0.','278',885,886,'92}}],[0.5',883,'krn:{"118',940,'106":0.0556,"121',940,'119":-',967,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',883,'krn:{"104',940,'107":-',967,'556',855,'444',863,'306',853,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',967,'556',885,'krn:{"116',940,'117',940,'98',940,'121',940,'118',940,'119":-',967,1105,'306,0.668',906,'528',885,'krn:{"97','":-0.0556,"','101',940,'97',940,'111',940,'99":-',967,'278',855,'833',883,'krn:{"116',940,'117',940,'98',940,'121',940,'118',940,'119":-',967,'556',883,'krn:{"116',940,'117',940,'98',940,'121',940,'118',940,'119":-',967,'5,0.431,0',1119,1117,'431,0.194',1119,'528',865,'392',863,'394',863,'389,0.615,0,{krn:{"121',940,'119":-',967,'556',883,'krn:{"119":-',967,'528',',0.431,0,{ic:0.',1135,'97',1158,'101',940,'97',940,'111',940,'99":-',967,'722',1217,1135,'101',940,'97',940,'111',940,'99":-',967,'528',863,'528',1133,'ic:0.',1135,'111',940,'101',940,'97',940,'46',1015,'44":-0.',1025,'444',863,'5',1217,'0278,',909,'124}}],[1',1217,'0278}],[0.','5',855,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',1064,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',1025,'833',938,'127":0.167}}],[0.','763',1064,1260,'krn:{"127":0.0833}}],[0.','694',938,1274,'742',1064,'0757,',1278,'831',1064,'0812,krn:{"61',1158,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',1064,'0576,',1278,'583',1064,'139',1270,1291,'667',971,1278,'612',1064,'11,krn:{"61',1158,1290,1291,'772',1064,'0502,',1278,'64',1217,'0037,','krn:{"127":',967,'566',',0.694,0.194,{ic:0.','0528,',1278,'518',1133,'ic:0.0556','}],[0.444',885,'ic:0.0378,krn:{"',1290,1291,'406',883,'krn:{"127":0.0556}}],[0.','438',1320,'0738,',1278,'497',1133,'ic:0.0359',',',1333,'469',885,'ic:0.',1260,1278,'354',883,1333,'576',863,'583',855,'603',1133,1317,967,'494',1217,'0637,krn:{"',1290,'0278}}],[0.','438',1320,'046,',1317,'0.111}}],[0.','57',1217,'0359}],[0.','517',1133,1278,'571',1217,'0359,krn:{"59',1158,'58":-0.',1291,'437',1217,'113,krn:{"',1290,1363,'54',1217,'0359,',1317,967,'596,0.694,0.194,{',1278,'626',1133,1333,'651',1320,'0359,',1317,1368,'622',1217,1371,'466',883,1278,'591',885,1278,'828',1217,1264,'517',1133,1278,'363,0.431,0.0972,{ic:0.0799,',1278,'654',1133,1317,'0.0833}}],[1',929,'1',929,'1',929,'1',929,'0.278',',0.464,-0.0363],[','0.278',1430,'0.5,0.465,-0.0347],[',1433,'0.5',863,'5',863,'5',863,'5',865,'5',865,'5,0.',1200,915,1200,915,'431',906,'278,0.106],[',905,906,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',1158,'65',1158,'77',1158,'78',1158,'89":0.0556,"90":-0.',1291,'778',1456,1433,'0.531',885,1325,',',1278,'75',938,'127":','0.','139}}],[0.','759',1064,'0502,',1278,'715',1064,'0715,krn:{"61',940,1290,1025,'828',1064,1260,1333,'738',1064,'0576,',1278,'643',1064,'139',1270,1025,'786',971,1278,'831',1064,'0812,krn:{"61',1158,1290,1291,'44',1064,'0785,',1317,1368,'555',1064,'0962',1270,'167}}],[0.','849',1064,'0715,krn:{"61',1158,1290,1291,'681',938,1477,967,'97',1064,'109,krn:{"','61',1158,1290,1025,'803',1064,1534,'61',1015,'61',940,1290,1025,'763',1064,1260,1278,'642',1064,'139',1270,1025,'791,0.683,0.194,{',1278,'759',1064,'00773,',1278,'613',1064,'0576,krn:{"61',1158,1290,1025,'584',1064,'139,krn:{"61',940,1290,1025,'683',1064,1534,'59":-0.111,"',1379,'111,"61',1158,1477,967,'583',1064,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',1064,'139',1587,'828',1064,'0785,krn:{"61',1015,'61',940,1290,1025,'581',1064,'222',1587,'683',1064,'0715,krn:{"61',1158,1290,1025,'389,0.75],[0.389',890,'0.389',890,'1,0.358,-0.142],[',1614,'0.417',885,1317,1368,'529',863,'429',855,'433',883,1333,'52',885,'krn:{"89":0.0556,"90',1158,'106":-0.111,"102":-0.167,"',1274,'466',883,1333,'49',1320,'108,krn:{"',1290,1521,'477',1133,1340,',',1317,967,'576',885,'krn:{"127":-',967,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',1158,1379,1291,'521',885,'ic:0.0315}],[0.298',885,'ic:0.0197,',1278,'878',863,'6',863,'485',883,1333,'503',1133,1278,'446',1133,1340,',',1278,'451',1217,1260,'krn:{"',1290,1291,'469',883,1333,'361,0.615,0,{',1278,'572',883,1317,967,'485',1217,'0359,',1317,967,'716',1217,'0269,',1278,'572',883,1317,967,'49',1133,1340,',',1333,'465',1217,'044,',1333,'322',883,1317,967,'384',1133,1278,'636',1133,1317,1368,'5,0.714,0,{ic:0.154}],[0.278',885,'ic:0.399}]],cmsy10:[[',904,'0.278,0.444,-0.0556],[',904,1433,904,'0.5,0.444,-0.0556],[',904,904,904,904,904,904,904,'1',890,1732,1732,'0.778',1430,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1747,1747,1747,1747,1747,'],[0.778',929,'0.778,0.483,-0.0169],[0.778',1456,'0.778',1456,'1',1456,'1',1456,'0.778',1456,'0.778',1456,'1',929,'1',929,'0.5',890,'0.5',890,'1',929,'1',890,'1',890,'0.778',1430,'1',929,'1',929,'0.611',890,'0.611',890,'1',929,'1',890,'1',890,'0.778',863,'275,0.556],[1',863,'667',1456,'0.667',1456,'0.889',890,'0.889',890,'0',890,'0',929,'0.556',855,'556',855,'667',863,'5',892,'722',855,'722',855,'778',855,'778',855,'611',855,'798',938,'48":0.','194}}],[0.657',1064,'0304',',krn:{"48":0.',1479,'527',1064,'0583',1837,1479,'771',1064,'0278',1837,1025,'528',1064,'0894',1837,'111}}],[0.','719',1064,'0993',1837,1853,'595',',0.683,0.0972,{ic:0.','0593',1837,1853,'845',1064,'00965',1837,1853,'545',1064,'0738,krn:{"48":',967,'678',1860,'185',1837,1521,'762',1064,'0144',1837,1291,'69',938,1833,'139}}],[1.2',938,1833,1479,'82',1064,'147',1837,1025,'796',1064,1846,1837,1853,'696',1064,'0822',1837,1025,'817,0.683,0.0972,{krn:{"48":',1368,'848',938,1833,1025,'606',1064,'075',1837,1479,'545',1064,'254,krn:{"48":',967,'626',1064,'0993',1837,1025,'613',1064,'0822,krn:{"48":',967,'988',1064,'0822',1837,1025,'713',1064,'146',1837,1479,'668',1860,'0822',1837,1025,'725',1064,'0794',1837,1479,'667,0.556],[0.',1949,1949,1949,1949,'611',855,'611',855,'444',900,'444',900,'444',900,'444',900,'5',900,'5',900,'389',900,'389',900,'278',900,'5',900,'5',900,'611',900,'5',900,'278',890,'0.833,0.04,0.96],[0.75',831,'833',831,'417',1320,'111}],[0.',1949,'667,0.556',1747,1747,'],[0.444',890,'0.444',890,'0.444',890,'0.611',890,'0.778,0.694,0.13','],[',2005,'],[',2005,'],[',2005,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',2013,'17}],[0.417',2013,'104}],[0.417',2013,'105','}],[0.472,0.04,1.16,{n:','106',2021,'107',2021,'108',2021,'109}],[0.583',2013,'110}],[0.583',2013,'111',2021,'68',2021,'69}],[0.333',',0,0.6,{delim:{rep:','12}}],[0.556',2037,'13}}],[0.578',2013,'46}],[0.578',2013,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',2045,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',2049,'33}],[0.528',2049,'34}],[0.528',2049,'35}],[0.583',2049,'36}],[0.583',2049,'37}],[0.583',2049,'38}],[0.583',2049,'39}],[0.75',2049,'40}],[0.75',2049,'41}],[0.75',2049,'42}],[0.75',2049,'43}],[1.04',2049,'44}],[1.04',2049,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',2077,'49}],[0.583',2077,'50}],[0.583',2077,'51}],[0.639',2077,'52}],[0.639',2077,'53}],[0.639',2077,'54}],[0.639',2077,'55}],[0.806',2077,'56}],[0.806',2077,'57}],[0.806',',0.04,2.96],[','0.806',2097,'1.28',2097,'1.28',2097,'0.811',2045,'30}],[0.811',2045,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',2109,'49,bot:65,rep:67}}],[0.667',2109,'50,bot:52,rep:54}}],[0.667',2109,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',2117,'53,rep:55','}}],[0.667,0,0.6,{delim:{top:','50,rep:54',2121,'51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',2125,'57,mid:61,bot:59,rep:62',2125,'56,bot:58,rep:62',2125,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',2133,'119}}],[0.889,0,0.3,{delim:{rep:62',2121,'120,bot:121,rep:63}}],[0.875',2109,'56,bot:59,rep:62}}],[0.875',2109,'57,bot:58,rep:62}}],[0.875',2037,'66}}],[0.875',2037,'67}}],[0.611',2045,'28}],[0.611',2045,'29','}],[0.833,0,1,{n:','71}],[1.11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75','}],[1.51,0.1,1.5],[1.',2155,'77',2157,2155,'79',2157,'06,0,1,{n:88}],[0.944,0,1,{n:89}],[',2153,'90',2151,'91}],[0.833,0,1'],
  [',{n:92','}],[0.','833,0,1,{n:','93',1,2,'94',1,2,'95}],[1.44,0.1,1.5],[','1.28,0.1,1.5],[0.556,0',',2.22',',{ic:0.','444}],[','1.11,0.1,1.5],[',14,14,14,14,'0.944,0,1,{n:97}],[',10,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',22,'103',24,'472',',0.04,1.76,{n:','20',1,'472',30,'21',1,'528',30,'22',1,'528',30,'23',1,'528',30,'24',1,'528',30,'25',1,'667',30,'26',1,'667',30,'27','}],[1,0.04,','1.16,{n:113}],[1',30,'114',60,'2.36,{n:115',60,'2.96,{n:116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',',0,0.6,{delim:{','top:126,','bot:127,rep:119','}}],[0.667',68,'top:120,rep:63}}],[0.667',68,'bot:121,rep:63}}],[0','.45,0.12],[0',76,76,76,'.778',68,69,'rep:119}}],[0.778',68,70,'}}]],cmti10:[[0.627',',0.683,0,{ic:0.','133',1,'818,0.683],[0.767',87,'094',1,'692,0.683],[0.664',87,'153',1,'743',87,'164',1,'716',87,'12',1,'767',87,'111',1,'716',87,'0599',1,'767',87,'111',1,'716',87,'103',1,'613',',0.694',',0.194,{ic:0.','212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','14,"108":15}}],[0.','562',123,124,'103',1,'588',123,124,'103',1,'882',123,124,'103',1,'894',123,124,'103',1,'307',',0.431,0,{ic:0.','0767',1,'332,0.431',124,'0374',1,'511',',0.694],[0.','511',',0.694,0,{ic:0.','0969',1,'511,0.','628',',0,{ic:0.','083',1,'511',158,'108',1,161,'562',163,'103',1,'831',156,'46,0,0.17],[0.537',123,124,'105',1,'716',148,'0751',1,'716',148,184,1,161,'528,0.0972',12,'0919',1,'883',87,'12',1,'985',87,'12',1,'767,0.732,0.0486',12,'094',1,'256,0.431,0,{krn:{"108":-0.256,"76":-0.321}}],[0.307',158,'124,lig:{"96":','60}}],[0.','514',158,'0696',1,'818',123,124,'0662',1,'769',156,'818,0.75,0.0556',12,'136',1,'767',158,'0969',1,'307',158,'124',',krn:{"','63":0.102,"33":0.102','},lig:{"39":34}}],[0.','409',',0.75,0.25,{ic:0.','162',1,'409',237,'0369',1,161,'75',163,'149',1,'767,0.562,0.0567',12,'0369',1,'307,0.106',',0.194],[0.','358',148,'0283,','lig:{"45":123}}],[0.',253,'],[0.511',237,'162',1,161,'644,0',',{ic:0.136}],[0.511,0.644,0',266,266,266,'.194',266,266,266,270,266,266,12,'136',1,'307',148,'0582',1,'307,0.','431',124,'0582',1,284,'5',124,'0756',1,'767,0.367,-0.133',12,'0662',1,161,'5',254,'511',158,'122,lig:{"96":62}}],[0.767',158,'096',1,'743,0.683,0,{','krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',310,'86','":-0.102,"','87',314,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',87,'103',1,'716',87,'145',1,'755',87,'094',233,'88','":-0.0256,"','87',331,'65',331,'86',331,'89','":-0.0256}}],[0.','678',87,'12',1,'653',87,'133',233,'111',310,'101',310,'117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',314,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',87,'0872',1,'743',87,'164',1,'386',87,'158',1,'525',87,'14',1,'769',87,'145',233,356,'627,0.683,0,{krn:{"84',310,'89',310,'86',314,'87',314,317,'897',87,'164',1,'743',87,'164',1,'767',87,'094',233,'88',331,'87',331,'65',331,'86',331,'89',339,'678',87,'103',233,'65":-0.0767}}],[0.','767,0.683',124,'094',1,'729',87,'0387,',308,'0.0256,"84',310,'89',310,'86',314,'87',314,317,'562',87,'12',1,'716',87,'133',233,'121',310,'101',310,'111',353,'117',310,413,'743',87,'164',1,'743',87,'184',233,'111',310,'101',310,'117',353,'65',314,356,'999',87,'184',233,413,'743',87,'158',233,356,'743',87,'194',233,'101',310,'111',353,'117',310,413,'613',87,'145',1,'307',237,'188',1,'514',158,'169',1,'307',237,'105',1,'511',158,'0665',1,284,'668',163,'118',1,'307',158,209,'92}}],[0.','511',148,149,1,'46',158,'0631',233,317,'46',148,'0565',233,317,'511',158,'103',',krn:{"108":0.0511}}],[0.','46',148,184,233,317,'307',123,124,125,'12,"102":11,"108":13}}],[0.','46,0.431',124,'0885',1,'511',158,149,1,284,'655',163,'102',1,284,'655',124,'145',1,'46',158,'108',1,'256',158,'103',532,'818',148,149,1,'562',148,149,233,'39":-0.102}}],[0.511',148,'0631',233,317,161,'431',124,'0631',233,317,'46,0.431',124,'0885',1,'422',148,'108',233,317,'409',148,'0821',1,'332,0.615',163,'0949',1,'537',148,149,1,'46',148,'108',1,'664',148,'108',532,'464',148,'12',1,'486,0.431',124,'0885',1,'409',148,'123',1,'511',148,'0921',',lig:{"45":124}}],[1.','02',148,631,1,'511',158,'122',1,161,'668',163,'116',1,161,'668',163,'105}]],cmbx10:[[0.692',',0.686],[0.','958',650,'894',650,'806',650,'767',650,'9',650,'831',650,'894',650,'831',650,'894',650,'831',650,'671',158,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":',126,'639',156,'639',156,'958',156,'958',156,'319',',0.444],[0.','351,0.444',254,'575',156,'575',156,'575,0.','632],[0.575',156,691,'596],[0.869',156,'511,0,0.17],[0.597',156,'831',684,'894',684,691,'542,0.0972],[1.04,0.686],[1.17',650,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":',210,'603',156,'958',123,254,691,'75,0.0556],[0.','958,0.',717,'894',156,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128',235,'447',',0.75,0.25],[0.','447',727,691,'75],[0.894,0.633,0.133],[0.','319,0.156',254,'383,0.444,0,{',258,732,'],[0.575',727,691,'644],[','0.575,0.644],[0.575,0.644],[',741,741,741,'0.',691,'644],[0.319',684,'319,0.444',254,'35,0.5',254,'894,0.391,-0.109],[0.543,0.5',254,'543',709,'62}}],[0.894',156,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',762,'79',762,'71',762,'85',762,'81',762,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',650,'831',650,'882',760,'88',762,'87',762,'65',762,'86',762,'89','":-0.0319}}],[0.','756',650,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',650,'9',650,'436',760,'73','":0.0319}}],[0.','594',650,'901',760,'79',762,'67',762,'71',762,'81',789,'692',760,773,'1.09',650,'9',650,'864',760,'88',762,'87',762,'65',762,'86',762,'89',789,'786',760,'65":-0.0958,"111',762,'101',762,'97',762,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',254,'862',760,'116',762,'67',762,'79',762,'71',762,'85',762,'81',762,773,'0.639',650,'8',760,'121',762,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',650,'869,0.686',163,'016,',793,'1.19,0.686',163,'016,',793,'0.869',760,'79',762,'67',762,'71',762,'81',789,'869,0.686',163,'0287',233,865,'703',650,'319',727,'603',156,'319',727,'575',156,'319',156,'319',709,514,'559',707,'118',762,'106":0.0639,"121',762,'119',789,'639',123,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',707,'104',762,'107',789,'639',156,'527',684,'351',158,673,542,691,'444',124,'016,krn:{"','106',801,'639',723,'116',762,'117',762,'98',762,'121',762,'118',762,'119',789,'319',156,'351',123,254,'607',723,'97":-0.0639,"101',762,'97',762,'111',762,'99',789,'319',156,'958',707,'116',762,'117',762,'98',762,'121',762,'118',762,'119',789,'639',707,'116',762,'117',762,'98',762,'121',762,'118',762,'119',789,691,'444,0',917,'639,0.444,0',270,917,'607,0.444',254,'474',684,'454',684,'447,0.635,0,{krn:{"121',762,'119',789,'639',707,'119',789,1003,163,935,'97":-0.0639,"101',762,'97',762,'111',762,'99',789,'831,0.444',163,935,'101',762,'97',762,'111',762,'99',789,'607',684,1003,124,935,'111',762,'101',762,'97',762,841,'511',684,691,'444',163,'0319',632,'15,0.444',163,1056,1,'575',156,'575',156,'575',123,']]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','b){for(var a in b){if(!','this.update','[a]){',1073,'[a]=[]}',1073,'[a]=',1073,'[a].concat(b[a])}},AddFont',1071,'a,b){if(!',1069,1074,1069,'[a]={}}jsMath.Add(',1069,'[a],b)},UpdateFonts',':function(){','var e=',1073,';','if(!this.loaded){','return}for(var a in e){for(var b=0;b<e[a].length;b++){var d=e[a][b];if(d=="all"){for(d in ','jsMath.TeX[','a]){',1095,'a][d].img','={}}}else{',1095,1098,'={}}}}',1073,'={}},BestSize',1089,'var b=jsMath.em*this.factor;var a=','this.w[this.fonts[','0]];for(var c=1;c<this.fonts.length;c++){if(b<(',1107,'c]]+2*a)/3){return c-1}a=',1107,'c]]}return c-1},Scale',1089,1093,'return}this.best=this.BestSize();this.em=',1069,'.w[this.fonts[this.best]];','this.scale','=(jsMath.em/this.em);','if(Math.abs(',1118,'-1)<0.12){',1118,'=1}},URL',1071,'a,b,d){var c=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(d==null){d="def.js"}else{d="char"+d+".png"}if(b!=""){b+="/"}','return this.','root+a+c+b+d},LoadFont',1071,'a){',1093,'this.Init()}jsMath.Setup.Script(this.URL(a,""))},Init',1089,'if(',1127,'print||',1127,'stayhires','){',1127,'print=',1127,1140,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',1147,'SetCookie(0)}if(','jsMath.Browser.','alphaPrintBug){',1127,'alpha=0}}var b="0123456789ABCDEF";this.HexCode=[];for(var c=0;c<128;c++){var d=Math.floor(c/16);var a=c-16*d;this.HexCode[c]=b.charAt(d)+b.charAt(a)}this.loaded=1}};jsMath.HTML={Em',1071,'a){',1120,'a)<0.000001){a=0}var b=String(a);b=b.replace(/(\\.\\d\\d\\d).+/,"$1");return b+"em"},Spacer',1071,'a){if(a==0){return""}return ',1151,'msieSpaceFix+\'<','span class="spacer" style="margin-','left:\'+this.Em(','a)+\'"></span>\'},Blank',1071,'b,f,i,g){var a','="";var e="";','if(g){e+="border-left',':"+this.Em(','b)+" solid;";if(',1151,'widthAddsBorder){b=0}}if(b==0){if(',1151,'blankWidthBug){if(',1151,'quirks','){e+="width:1px',';";a=\'<',1163,'right:-1px"></span>\'}else{if(!g',1178,';margin-right:-1px;"}}}}else{e+="width',1170,'b)+";"}if(i==null){i=0}if(f){var c=this.Em(f+i);if(g&&f*jsMath.em<=1.5){c="1.5px";f=1.5/jsMath.em}e+="height:"+c+";"}if(',1151,'mozInlineBlockBug){i=-f}if(',1151,'msieBorderBug&&!g){i-=jsMath.d}if(i){e+="','vertical-align:"+','this.Em(-i)}return a+\'<span class="blank" ','style="\'+','e+\'"></span>\'},Rule',1071,'a,b){if(b==null){b','=jsMath.TeX.default_rule_thickness}',1129,'Blank(a,b,0,1)},Class',1071,'a,b){return\'<span class="\'+a','+\'">\'+b+"</span','>"},Place',1071,'b,a,d){',1120,'a)<0.0001){a=0}',1120,'d)<0.0001){d=0}if(a||d){var c=\'<','span style="position',': relative',';\';if(a){c+=" margin-left',1170,'a)+";"}if(d){c+=" top:"+this.Em(-d)+";"}b=c',1201,'>"}return b},PlaceSeparateSkips',1071,'e',',g,f,i,a,h){if(Math.abs(g)<0.0001){g=0}if(Math.abs(f)<0.0001){f=0}','if(f){var d=0;var c=0;','var b="";if(','i!=null){c=','a-h;d=i;b=" width',1170,'a-i)+";"}e=','this.Spacer','(d-c)+\'<',1209,1210,'; top:\'+this.Em(-f)+";left',1170,'c',')+";"+b+\'">\'+',1225,'(-d)+e+',1225,'(c)+"</span>"}if(g){e=',1225,'(g)+e}return e},PlaceAbsolute',1071,'d',1218,'var c',1168,1220,1151,'msieRelativeClipBug&&',1221,1225,'(-i);g+=i;e=',1225,'(a-h)}if(',1151,'operaAbsoluteWidthBug){b=" width: "+this.Em(h+2)}d=\'<',1209,':absolute; ',1164,'g)+"; top',1170,'f',1232,'c+d+e+"&nbsp;</span>";','return d},','Absolute',1071,'b,a,c,e,f){if(f!="none"){',1120,'f)<0.0001){f=0}b=\'<',1209,1255,'top:\'+','jsMath.HTML.','Em(f)+\'; left:0em;">\'+b+"&nbsp;</span>"}if(e=="none"){e=0}b+=this.Blank(a,c-e,e);if(',1151,'msieAbsoluteBug){b=\'<',1209,':relative',';">\'+b+"</span>"}b=\'<',1209,1276,';\'+',1151,'msieInlineBlockFix',1201,'>";return b}};','jsMath.Box','=function(c,f,a,b,e){','if(e==null','){e=jsMath.d}this.type="typeset";this.w=a;this.h=b;this.d=e;this.bh=b;this.bd=e;this.x=0;this.y=0;this.mw=0;this.Mw=a;this.html=f;this.format=c};jsMath.Add(',1285,',{defaultH:0,Null',1089,'return new ',1285,'("null","",0,0,0)},Text',1071,'l,k,b,m,j,i){var g=','jsMath.Typeset.AddClass(','k,l);g=','jsMath.Typeset.','AddStyle(','b,m,g);var c','=jsMath.EmBoxFor(','g);var e=',1299,'TeX(b,m);var h=((k=="cmsy10"||k=="cmex10")?c.h-e.h:e.d*c.h/e.hd);var f=new ',1285,'("text",l,c.w,c.h-h,h);f.style=b;f.size=m;f.tclass=k;if(i!=null){f.d=i*e.scale}else{f.d=0}if(j==null||j==1){f.h=0.9*e.M_height}else{f.h=1.1*e.x_height+e.scale*j}return f},TeX',1071,'g,a,d,b){var h=',1095,'a][g];if(h.d==null){h.d=0}if(h.h==null){h.h=0}if(h.img!=null&&h.c!=""){this.TeXIMG(a,g,',1299,'StyleSize(d,b))}var f=',1299,'TeX(d,b).scale;var e=new ',1285,'("text",h.c,h.w*f,h.h*f,h.d*f);e.style=d;e.size=b;if(h.tclass){e.tclass=h.tclass;if(h.img){e.bh=h.img.bh;e.bd=h.img.bd}else{e.bh=f*jsMath.h;e.bd=f*jsMath.d}}else{e.tclass=a;e.bh=f*',1095,'a].h;e.bd=f*',1095,'a].d;if(',1151,'msieFontBug&&','e','.html.match(/&#/)){','e','.html+=\'<span style="display:none">x</span','>\'}}return e},TeXfallback',1071,'b,f,e,o){var m=',1095,'f][b];if(!m.tclass){m.tclass=f}if(m.img!=null){',1129,'TeXnonfallback(b,f,e,o)}if(m.h!=null&&m.a==null){m.a=m.h-1.1*jsMath.TeX.x_height}var n=m.a;var l=m.d;var k=this.Text(m.c,m.tclass,e,o,n,l);var g=',1299,'TeX(e,o).scale;if(m.bh!=null){k.bh=m.bh*g;k.bd=m.bd*g}else{var j=k.bd+k.bh;var i=',1297,'k.tclass,k.html);i=',1299,1300,'e,o,i);k.bd',1302,'i+',1271,'Blank(1,j)).h-j;k.bh=j-k.bd;if(g==1){m.bh=k.bh;m.bd=k.bd}}if(jsMath.',1323,'k',1325,'k',1327,'>\'}return k},TeXIMG',1071,'f,a,t){var o=',1095,'f][a];if(o.img.size!=null&&o.img.size==t&&o.img.best!=null&&o.img.best==','jsMath.Img.best','){return}var g=(',1069,'.scale!=1);var b=',1356,'+t-4;if(b<0){b=0;g=1','}else{if(','b>=','jsMath.Img.fonts','.length){','b=',1364,'.length-1',';g=1}}var s=',1069,'[',1364,'[b]];var k=s[f][a];var i=1/',1069,'.w[',1364,'[b]];if(b!=',1356,'+t-4){if(o.w!=null){i=o.w/k[0]}else{i*=',1364,'[t]/',1364,'[4]*',1364,'[',1356,']/',1364,'[b]}}var p=k[0]*i;var l=k[1]*i;var n=-k[2]*i;var q;var j=(o.w==null||Math.abs(o.w-p)<0.01)?"":" margin-right:"+',1271,'Em(o.w-p)+";";var e="";a=',1069,'.HexCode[a];if(!g&&!',1127,'scaleImg){if(',1151,'mozImageSizeBug||2*p<l||(',1151,'msieAlphaBug&&',1127,'alpha)){e="height',':"+(k[1]*',1151,'imgScale',')+"px;"}e+=" width:"+(k[0]*',1151,1404,')+"px;";q=-k[2]+"px"}else{if(',1151,'mozImageSizeBug||2*p<l||(',1151,'msieAlphaBug&&',1127,1401,':"+',1271,'Em(l*',1151,1404,')+";"}e+=" width:"+',1271,'Em(p*',1151,1404,')+";";q=',1271,'Em(n)}var r=(Math.abs(n)<0.01&&!',1151,'valignBug)?"":" ',1190,'q+";";var m=',1069,'.URL(f,',1364,'[b],a);if(',1151,'msieAlphaBug&&',1127,'alpha){','o.c=\'<img src="\'+','jsMath.blank+\'" ',1192,1151,'msieCenterBugFix+e+r+j','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=\'"+m+"\', sizingMethod=\'scale\');\\" />"}else{',1440,'m+\'" ',1192,1151,1444,'+\'" />\'}o.tclass="normal";o.img.bh=l+n;o.img.bd=-n;o.img.size=t;o.img.best=',1356,'},Space',1071,'a){return ','new jsMath.Box("html",',1271,'Spacer(a),a,0,0)},Rule',1071,'a,c){if(c==null){c',1196,'var b=',1271,'Rule(a,c);return ',1456,'b,a,c,0)},GetChar',1071,'b,a){var d=',1095,'a][b];','if(d.img!=null){this.TeXIMG(a,b',',4)}if(d.tclass','==null){d.','tclass=a}if(!d.computedW){d.w',1302,1297,'d.tclass,d.c)).w',';if(d.h',1473,'h=',1285,'.defaultH}if(','d.d',1473,'d=0}d.computedW=1}',1262,'DelimBestFit',1071,'e,j,d,g){if(j==0&&d==0){return null}var i;var f;d','=jsMath.TeX.fam[','d];var a=(g.charAt(1)=="S");var b=(g.charAt(0)=="S");while(j!=null){i=',1095,'d][j];if(i.h==null){i.h=',1285,1482,'i.d==null){i.d=0}f=i.h+i.d;if(i.delim','){return[j,d',',"",e]}if(a&&0.5*f>=e',1497,',"SS",0.5*f]}if(b&&0.7*f>=e',1497,',"S",0.7*f]}if(f>=e||i.n==null',1497,',"T",f]}j=i.n}return null},DelimExtendRelative',1071,'k,x,r,A,e){var s=',1095,'r][x];var q','=this.GetChar(s.delim.','top?s','.delim.top',':s.delim.rep,r);var ','b',1509,'rep,r);var p',1509,'bot?s','.delim.bot',1512,'f=',1297,'b.tclass,b.c);','var l=b.w;var v=b.h+b.d;var g;var d;var m;var o;var u;var t;if(s','.delim.mid){var ','z',1509,'mid,r);t','=Math.ceil((k-(','q.h+q.d)-(','z.h+z.d)-(p.h+p.d))/(2*(b.h+b.d',')));k=2*','t*(b.h+b.d)+(q.h+q.d)+(','z.h+z.d)+(p.h+p.d);if(e){g=0}else{g=k/2+A}d=g;m=',1271,'Place(',1297,'q.tclass,q.c),0,g-q.h',')+',1271,1535,1297,'p.tclass,p.c),-(','q.w+p.w)/2,g-(k-p.d))+',1271,1535,1297,'z.tclass,z.c),-(p.w+z.w)/2,g-(k+z.h-z.d)/2);o=(l-z','.w)/2;if(Math.abs(o)<0.0001){o=0}if(o){m+=jsMath.HTML.Spacer(o)}g-=q.h+q.d+b.h;for(u=0;u<t;u++){m+=jsMath.HTML.Place(f,-l,g-u*v)}','g-=k/2-b.h/2;for(u=0;u<t;u++){m+=',1271,1535,'f,-l,g-u*v)}}else{t',1528,1529,'p.h+p.d))/(b.h+b.d));if(q.h+q.d<0.9*(b.h+b.d)){t=Math.max(1,t)}k=',1532,'p.h+p.d);if(e){g=0}else{g=k/2+A}d=g;m=',1271,1535,1297,1537,');o=(l-q',1548,'m+=',1271,1535,1297,1542,'l+p.w)/2,d-(k-p.d))}if(e){v=q.h}else{v=k/2+A}var j=',1456,'m,b.w,v,k-v);j.bh=',1095,'r].h;j.bd=',1095,'r].d;return j},DelimExtendAbsolute',1071,'k,v,p,z,d){var u=',1095,'p];var q=u[v];var l;var o','=this.GetChar(q.delim.','top?q',1511,':q.delim.rep,p);var ','b',1580,'rep,p);var m',1580,'bot?q',1518,1583,'r;var t;var f;var e;var s;if(q',1524,'x',1580,'mid,p);r',1528,'o.h+o.d)-(','x.h+x.d-0.05',')-(','m.h+m.d-0.05','))/(2*(','b.h+b.d-0.05',1531,'r*(b.h+b.d-0.05)+(o.h+o.d)+(',1598,')+(',1600,');l=','jsMath.HTML.PlaceAbsolute(',1297,'o.tclass,o.c),0,0);t=',1602,';f=o.d-0.05+b.h;e=',1297,'p,b.c);for(s=0;s<r;s++){l+=',1609,'e,0,f+s*t)}l+=',1609,1297,'x.tclass,x.c),0,f+r*t-b.h+x.h);f+=r*t+',1598,';for(s=0;s<r;s++){l+=',1609,'e,0,f+s*t)}l+=',1609,1297,'m.tclass,m.c),0,f+r*t-b.h+m.h)}','else{r',1528,1597,1600,'))/(',1602,'));k=',1604,1600,');l=',1609,1297,'o.tclass,o.c),0,0);t=',1602,';f=o.d-0.05+b.h;e=',1297,1522,'for(s=0;s<r;s++){l+=',1609,'e,0,f+s*t)}l+=',1609,1297,1627,'var j=o.w;if(d){t=o.h;f=0}else{t=k/2+z;f=t-o.h}l=',1271,1263,'(l,j,u.h,"none",-f);var g=',1456,'l,b.w,t,k-t);g.bh=',1095,'p].h;g.bd=',1095,'p].d;return g},Delimiter',1071,'b,h,c,g){var a=4;var f=',1299,'TeX(c,a);if(!h','){return this.Space(f.nulldelimiterspace)}','var ','e=this.DelimBestFit(b,h[','2],h[1],c);',1287,'||e[3]<b){',1667,'4],h[3],c)}',1287,1665,'if(e[2]==""){',1129,'DelimExtend(b,e[0],e[1],f.axis_height,g)}var d=',1285,'.TeX(e[0],e[1],e[2],a).Styled();if(!g){d.y=-((d.h+d.d)/2-d.d-f.axis_height)}',1120,'d.y)<0.0001){d.y=0}if(d.y){d=',1285,'.SetList([d],e[2],a)}',1262,'GetCharCode',1071,'b){var a',1490,'b[0]];var e=',1095,'a];var d=e[b[1]];',1471,'[1],4)}if(d.w',1473,'w',1302,1297,1477,'}if(d.font',1473,'font=a}',1262,'AddClass',1071,'b,c,a){if(b==null){b=a}return ',1297,'b,c)},LayoutRelative',1071,'z,J,B,k,l,p,G,A){if(B==null){B=[]}if(k==null){k=[]}if(l==null){l=[]}if(G==null){G=1}if(A==null){A=1}var L=jsMath.sizes[z]/100;var g=[];var v=[];var x=[];var e=-1000;var f=e;var m=e;var E;var C;var o',';for(E=0;E<J.length;E++){','if(l[E]==null){l[E]=0}o=J[E];v[E]=G*jsMath.h*L;x[E]=G*jsMath.d*L;for(C=0;C<o.length;C++){o[C]=o[C','].Remeasured();if(','o[C].h>v[E]){v[E]=o[C].h}if(o[C].d>x[E]){x[E]=o[C].d}if(C>=g',1365,'g[C]=o[C].w',1362,'o[C].w>g[C]){',1715,'}}if(o[C].bh>f){f=o[C].bh}if(o[C].bd>m){m=o[C].bd}}}if(l[J','.length]==null){','l[J.length]=0}if(f==e){f=0}if(m==e){m=0}var a=G','*(jsMath.hd-0.01)*','L;var u=(p||1)*L/6;var t="";var n=0;var I=0;var s;var F;var q;var r;var c;var b;for(C=0;C<g.length;C++){c=[];q=-v[0]-l[0];n=0',1710,'b=J[E][C','];if(b&&b.format!="null"){if(','B[C]=="l"){s=0',1362,'B[C]=="r"){s=g[C]-b.w}else{s=(g[C]-b.w)/2}}b.x=s-n;n=b.w+s;b.y=q;c[c.length]=b}if(E+1<J',1365,'q-=Math.max(a,x[E]+v[E+1])+u+l[E+1]}}if(k[C]==null){k[C]=L}if(c.length>0){r=',1285,'.SetList(c,"T",z);t+=',1271,1535,'r.html,I,0);I=g[C]-r.w+k[C]}else{I+=k[C]}}s=-k[g',1368,'];q=(v',1368,')*u+l[0];for(E=0;E<g.length;E++){s+=g[E]+k[E]}for(E=0;E<v.length;E++){q','+=Math.max(a,','v[E]+x[E])+l[E+1]}F=q','/2+jsMath.TeX.axis_height;var ','K=q-F;t+=',1271,'Spacer(I-k[g',1368,']+A*L/6);t=',1271,1535,'t,A*L/6,F);r=',1456,'t,s+A*L/3,F,K);r.bh=f;r.bd=m;return r},LayoutAbsolute',1071,'t,E,z,e,f,k,B,u){if(z==null){z=[]}',1287,'){e=[]}if(f==null){f=[]}if(B==null){B=1}if(u==null){u=1}var G=jsMath.sizes[t]/100;var a=B',1722,'G;var p=(k||1)*G/6;var c=[];var q=[];var s=[];var r=0;var C;var n;var l;var A;var v;var g;','for(A=0;A<E.length;A++){','if(f[A]==null){f[A]=0}g=E[A];q[A]=B*jsMath.h*G;s[A]=B*jsMath.d*G;for(v=0;v<g.length;v++){g[v]=g[v',1712,'g[v].h>q[A]){q[A]=g[v].h}if(g[v].d>s[A]){s[A]=g[v].d}if(v>=c',1365,'c[v]=g[v].w',1362,'g[v].w>c[v]){',1765,'}}}}if(f[E',1720,'f[E.length]=0}l=(q',1368,')*p+f[0];for(A=0;A<q.length;A++){l',1741,'q[A]+s[A])+f[A+1]}C=l',1743,'F=l-C;var o="";var b;r=u*G/6;for(v=0;v<c.length;v++){l=q[0]-C+f[0];',1760,'b=E[A][v',1726,'z[v]&&z[v]=="','l"){n=0',1362,1781,'r"){n=c[v]-b.w}else{n=(c[v]-b.w)/2}}o+=',1609,'b.html,r+n,l-Math.max(0,b.bh-jsMath.h*G),b.mw,b.Mw,b.w)}if(A+1<E',1365,'l',1741,'s[A]+q[A+1])+p+f[A+1]}}if(e[v]==null){e[v]=G}r+=c[v]+e[v]}r=-e[c',1368,']+u*G/3;for(A=0;A<c.length;A++){r+=c[A]+e[A]}o=',1271,'Spacer(u*G/6',')+o+',1271,1795,');if(',1151,'spanHeightVaries){l=C-jsMath.h}else{l=0}o=',1271,1263,'(o,r,C+F,F,l);var m=',1456,'o,r+u*G/3,C,F);return m},InternalMath',1071,'h,l){if(!jsMath.safeHBoxes){h=h.replace(/@\\(([^)]*)\\)/g,"<$1>")}if(!h.match(/\\$|\\\\\\(/)){',1129,'Text(this.safeHTML(h),"normal","T",l).Styled()}var e=0;var d=0;var g;var f="";var a=[];var b,j;while(e<h',1365,'g=h.charAt(e++);if(g','=="$"){if(f=="$"){','b=jsMath.Parse(h.slice(d,e-','1','),null,l);if(b.error){a[a.length]=this.Text(b.error,"error","T",l,1,0.2)}else{b.Atomize();a[a.length]=b.mlist.Typeset("T",l).Styled()}f="";d=e','}else{','j=this.safeHTML(h.slice(d',',e-1','));a[a.length]=this.Text(j,"normal","T",l,1,0.2);','f="$";d=e}}else{if(g=="\\\\"){',1812,'=="("&&f==""){',1818,',e-2',1820,'f=")";d=e',1362,'g==")"&&f==")"){',1814,'2',1816,'}}}}}',1818,1820,1129,'SetList(a,"T",l)},safeHTM'],
  ['L',':function(','a){if(','jsMath.','safeHBoxes){a=a.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;")}','return ','a},Set',1,'c,b,a',',d){if(','c&&c.type){if(c','.type=="','typeset"){',5,'c}if(c',11,'mlist"){','c.mlist.','Atomize','(b,a);',5,17,'Typeset','(b,a)}if(c',11,'text"){c=this.Text(c.text,c.tclass,b,a,c.ascend||null,c.descend||null);if(d!=0){c','.Styled()}',5,'c}c=this','.TeX(','c.c,c.font,b,a);if(d!=0){c',26,5,'c}',5,3,'Box.Null','()},SetList',1,'d,f,c){var a=[];var g;','for(var b=0;b<','d.length;b++){g=d[b];if(g',11,12,'g=',3,'mItem','.',22,'(g)}a[a','.length]=','g}','var e=','new ',3,22,'(a);',5,'e.',22,'(f,c)}});',3,'Package(',3,'Box,{Styled',':function(){','if(this.','format=="text"){','this.html','=',3,22,'.AddClass(','this.tclass',',',68,');',68,'=',3,22,'.AddStyle(','this.style',',this.size,',68,');delete ',73,';delete ',82,';this.format="html"}',5,'this},','Remeasured',65,66,'w>0','){var a=','this.w;this.w=',3,'EmBoxFor(',68,').w;',66,'w','>this.Mw){this.Mw=this.w','}a=this.w/a;if(Math.abs(a-1)>0.05){this.h*=a;this.d*=a}}',5,'this}});',3,46,'=function(a',',b','){this.type','=a;',3,'Add(this,b)};',3,'Add(',3,46,',{Atom',1,'b,a){',5,'new ',3,46,'(b,{','atom:1,nuc:a})},','TextAtom',1,'e,h,c,b,g','){var f=','new ',3,46,'(e',',{atom:1,nuc:{type:"','text",text:h,tclass:c}});if(b','!=null){f.nuc.','ascend=b}if(g',139,'descend=g}',5,'f},TeXAtom',1,'b,d,a){',5,'new ',3,46,'(b',137,'TeX",c:d,font:a}})},Fraction',1,'b,a,f,d,e,c){',5,'new ',3,46,'("fraction",{from:b,num:a,den:f,','thickness',':d,left:e,right:c})},Space',1,'a){',5,'new ',3,46,'("space",{w:a})},',22,1,'a){',5,'new ',3,46,'("ord",{',128,'HTML',1,'a){',5,'new ',3,46,'("html",{html:a})}});',3,'mList','=function(d,a,b,c){','if(d){','this.mlist','=d}else{',191,'=[]}','if(c==null){c','="T"}if(b==null){b=4}','this.data','={openI:null,overI:null,overF:null,font:a,','size:b,style:c','};this.init={',199,'}};',3,'Package(',3,188,',{Add',1,'a){return(',191,'[','this.mlist.length',']=a)},Get',1,'a){',5,191,'[a]},Length',65,5,212,'},Last',65,'if(',212,'==0){',5,'null}',5,191,'[',212,'-1]},Range',1,'b,',2,'a==null){a=',212,'}',5,'new ',3,188,'(',191,'.slice(b,a+1))},Delete',1,'d,c){',195,'=d}if(',191,'.splice){',191,'.splice(d,c-d+1)}else{var a=[];',40,212,';b++){if(b<d||b>c){a[a',50,191,'[b]}}',191,'=a}},Open',1,'d){var c=this.Add(new ',3,46,'("boundary",{','data:',197,'}));var a=',197,';',197,'={};for(var b in a){',197,'[b]=a[b]}delete ',197,'.overI',87,197,'.overF;',197,'.openI','=',212,'-1;if(d!=null){c.left=d}',5,'c},Close',1,'c){if(c!=null){c=new ',3,46,267,'right:c})}var e;','var b=',197,283,';var f=',197,'.overI;var ','g=',197,281,197,'=',191,'[b].data;if(f){e=',3,46,'.Fraction(','g.name,{','type:"mlist",mlist:this.Range(','b+1,f-1)},{',312,'f)},g.',161,',g.left,g.right);if(c',96,'new ',3,188,'([',191,'[b],e,c]);e=',3,46,'.Atom("inner",{type:"mlist",mlist:a})}}else{var d=b+1;if(c){this.Add(c);d--}e=',3,46,'.Atom((c)?"inner":"ord",{',312,'d)})}this.Delete(b,this.Length());',5,'this.Add(e)},Over',65,295,197,300,'c=',197,281,'var a=',3,46,310,'c.name,{',312,'open+1,b-1)},{',312,'b)},c.',161,',c.left,c.right);',191,'=[a]},',18,1,248,'var a;var e="";',82,'=d;this.size=c;',40,212,';b++){a=',191,'[b];a.delta=0;if(a',11,'choice"){',191,'=this.',18,'.choice(',82,',a,b,',191,');b--}else{',66,18,'[a.type]){var g=this.',18,'[a.type];g(',82,83,'a,e,this,b)}}e=a}if(a&&a',11,'bin"){a','.type="ord"}','if(',212,'>=2&&a',11,'boundary"&&',191,'[0].type=="boundary"){this.','AddDelimiters','(d,c)}},',394,1,'b,q){var p=-10000;var g=p;var k=p;for(var f=0;f<',212,';f++){var j=',191,'[f];if(j.atom||j',11,'box"){g','=Math.max(','g,j.nuc.h+j.nuc.y);k',405,'k,j.nuc.d-j.nuc.y)}}',52,3,'TeX;var l=',3,22,29,'b,q).','axis_height',';var o',405,'g-l,k+l);var n',405,'Math.floor(e.integer*o/500)*e.delimiterfactor,e.integer*(2*o-e.delimitershortfall))/e.integer;var c=',191,'[0];var m=',191,'[',212,'-1];c.nuc=',3,'Box.Delimiter(','n,c.left,b);m.nuc=',3,429,'n,m.right,b);c.type="open";c.atom=1',87,'c.left;m.type="close";m.atom=1',87,'m.right},',22,1,'c,a){',295,'new ',3,22,'(',191,');',5,'b.',22,'(c,a)}});',3,'Add(',3,188,'.prototype.',18,',{style',1,'d,c,a,e,b){b.','style=a.style},size',1,460,'size=a.size},phantom',1,8,'){var d=','a.nuc=',3,'Box.Set(','a.phantom',',c,b);if(a.h){d.',92,'();d.html=',3,'HTML.Spacer','(d.w)}else{d.html="",d.w=d.Mw=d.mw=0}if(!a.v){','d.h=d.d=0','}d.bd=d.bh=0',87,471,';a.type="box"},','smash',1,8,467,468,3,470,'a.smash',',c,b',').Remeasured();',478,87,490,482,'raise',1,8,'){',468,3,470,'a.nuc,','c,b);var d=a.raise;','a.nuc.html','=',3,'HTML.Place(',506,',0,d,a.nuc.mw,a.nuc.Mw,a.nuc.w);a.nuc.h+=d;a.nuc.d-=d;a','.type="ord";','a.atom=1},lap',1,'d,c,a){',52,3,470,504,'d,c',492,'var b=[e];if(a.lap=="llap"){e.x=-e.w}','else{if(a.lap=="','rlap"){b[1]=',3,'mItem.Space','(-e.w)}',523,'ulap"){e.y=e.d;e.h=e.d=0}',523,'dlap"){e.y=-e.h;e.h=e.d=0}}}}',468,3,'Box.SetList(','b,d,c);if(a.lap=="ulap"||a.lap=="dlap"){a.nuc.h=a.nuc.d=0}a.type="box";delete a.atom},bin',1,'d,b,a,e){if(e&&e.type){var c=e.type;if(c=="bin"||c=="op"||c=="rel"||c=="open"||c=="punct"||c==""||(c=="',391,'e.left!="")){a.type="ord"}}else{a',386,'jsMath.mList.prototype.Atomize.SupSub(','d,b,a)},rel',1,8,9,'d.type&&','d',11,'bin"){d',386,541,8,')},close',1,8,9,546,'d',11,'bin"){d',386,541,8,')},punct',1,8,9,546,'d',11,'bin"){d',386,541,8,')},open',1,8,'){',541,8,')},inner',1,8,'){',541,8,')},','vcenter',1,8,467,3,470,504,'c,b);',52,3,22,29,'c,b);d.y=e.',416,'-(d.h-d.d)/2;',468,'d;a',512,541,8,')},','overline',1,'d,c,a){var ','g=',3,22,29,'d,c);',52,3,470,504,3,22,'.PrimeStyle(','d),c',492,295,'g','.default_rule_thickness',298,3,'Box.Rule(e.w,b);f.x=-f.w;f.y','=e.h+3*b;',468,3,'Box.SetList([','e,f],d,c);a.nuc.','h+=b;a',512,541,'d,c,a)},','underline',1,611,'g=',3,22,29,'d,c);',52,3,470,504,3,22,623,'d),c',492,295,'g',628,298,3,631,'=-e.d-3*b-b;',468,3,635,636,'d+=b;a',512,541,640,'radical',1,'b,m,g',467,3,22,29,'b,m);var k=',3,22,623,'b);var f=',3,470,'g.nuc,k,m',492,'var l=d',628,';var c=l;if(b=="D"||b=="D\'"){c=d.x_height}var a=l+c/4;',52,3,429,'f.h+f.d+a+l,[0,2,112,3,112],b,1);if(e.d>f.h+f.d+a){a=(a+e.d-f.h-f.d)/2}e.y=f.h+a;var j=',3,'Box.Rule(','f.w,l);j.y=e.y-l/2;j.h+=3*l/2;f.x=-f.w;var i=',3,22,'.UpStyle(',3,22,701,'b));','var h=',3,470,'g.root||null,i,m',492,'if(g.root){h.y=0.55*(f.h+f.d+3*l+a)-f.d;e.x',405,'h.w-(11/18)*e.w,0);j.x=(7/18)*e.w;h.x=-(h.w+j.x)}g.nuc=',3,635,'e,h,j,f],b,m);g',512,541,'b,m,g)},accent',1,'b,q,j',132,3,22,29,'b,q);var m=',3,22,623,'b);var i=',3,470,'j.nuc,m,q);var o=i.w;var p;var k;var d=0;if(j.nuc',11,'TeX"){','k=',3,'TeX[j.nuc.font];if(k[j.nuc.c].krn&&k.skewchar){p=k[j.nuc.c].krn[k.skewchar]}d=k[j.nuc.c].ic;if(d==null){d=0}}if(p==null){p=0}var l=j.accent[2];',52,3,'TeX.fam[j.accent[1]];k=',3,'TeX[e];while(k[l].n&&k[k[l].n].w<=o){l=k[l].n}var n=Math.min(i.h,f.x_height);if(j.nuc',11,735,706,3,46,'.Atom("ord",j.nuc);h.sup=j.sup;h.sub=j.sub;h.delta=0;',541,'b,q,h);n+=(h.nuc.h-i.h);i=j.nuc=h.nuc',87,'j.sup',87,'j.sub}var g=',3,'Box',29,'l,e,b,q);g.y=i.h-n;g.x=-i.w+p+(o-g.w)/2;if(',3,'Browser.msieAccentBug){g.html+=',3,476,'(0.1);g.w+=0.1;g.Mw+=0.1}if(k[l].ic||d){g.x+=(d-(k[l].ic||0))*f.scale}j.nuc=',3,635,'i,g],b,q);if(j.nuc.w!=i.w',96,3,526,'(i.w-j.nuc.w);j.nuc=',3,635,'j.nuc,a],b,q)}j',512,541,'b,q,j)},op',1,'c,n,i',132,3,22,29,'c,n);var h;i.delta=0;var m=(c','.charAt(0)=="','D");if(i.limits==null&&m){i.limits=1}if(i.nuc',11,735,295,3,'TeX[i.nuc.font][','i.nuc.c];if(m&&b.n){i.nuc.c=b.n;b=',3,791,'b.n]}h=i.nuc=',3,470,'i.nuc,c,n',');if(b.ic){i.delta=b.ic*f.scale;if(i.limits||!i.sub||',3,'Browser.msieIntegralBug','){h=i.nuc=',3,635,'h,',3,526,'(i.delta)],c,n)}}h.y=-((h.h+h.d)/2-h.d-f.',416,');if(Math.abs(h.y)<0.0001){h.y=0}}if(!h){h=i.nuc=',3,470,798,').',92,'()}if(i.limits){',52,'h.w;var k=h.w;var d=[h];var j=0;var l=0;if(i.sup){var g=',3,470,'i.sup,',3,22,701,'c),n',492,'g.x=((h.w-g.w)/2+i.delta/2)-k;j=f.big_op_spacing5;e',405,'e,g.w);k+=g.x+g.w;g.y=h.h+g.d+h.y+Math.max(f.big_op_spacing1,f.big_op_spacing3-g.d);d[d',50,'g',87,'i.sup}if(i.sub',96,3,470,'i.sub,',3,22,'.DownStyle(','c),n',492,'a.x=((h.w-a.w)/2-i.delta/2)-k;l=f.big_op_spacing5;e',405,'e,a.w);k+=a.x+a.w;a.y=-h.d-a.h+h.y-Math.max(f.big_op_spacing2,f.big_op_spacing4-a.h);d[d',50,'a',87,'i.sub}if(e>h.w){h.x=(e-h.w)/2;k+=h.x}if(k<e){d[d',50,3,526,'(e-k)}i.nuc=',3,534,'d,c,n);i.nuc.h+=j;i.nuc.d+=l','}else{if(',3,801,'&&i.sub&&b&&b.ic){i.nuc=',3,635,'h,',3,'Box.Space','(-b.ic*f.scale)],c,n)}else{if(h.y){i.nuc=',3,635,'h],c,n)}}',541,'c,n,i)}},ord',1,'a,j,g,b,f,e){if(g.nuc',11,'TeX"&&!g.sup&&!g.sub',467,'f.mlist[e+1];if(d&&d.atom&&d.type&&(d',11,'ord"||d',11,'op"||d',11,'bin"||d',11,'rel"||d',11,'open"||d',11,'close"||d',11,'punct")){if(d.nuc',11,'TeX"&&d.nuc.font==g.nuc.font){g.textsymbol=1;',706,3,'TeX[g.nuc.font][g.nuc.c].krn;h*=',3,22,29,'a,j).scale;if(h&&h[d.nuc.c]){for(var c=f.mlist.length-1;c>e;c--){f.mlist[c+1]=f.mlist[c]}f.mlist[e+1]=',3,526,'(h[d.nuc.c])}}}}',541,'a,j,g)},fraction',1,'x,n,c){var A=',3,22,29,'x,n);var l=0;if(c.',161,'!=null){l=c.',161,857,'c.from.match(/over/)){l=A',628,'}}var s=(x',785,'D");var g=(x=="D")?"T":(x=="D\'")?"T\'":',3,22,701,'x);var q=(s)?"T\'":',3,22,840,'x);var f=',3,470,'c.num,g,n',492,52,3,470,'c.den,q,n',492,'var k;var j;var i;var o;var m;var h=(s)?A.delim1:A.delim2;var b=[',3,429,'h,c.left,x)];var y=',3,429,'h,c.right,x);if(f.w<e.w){f.x=(e.w-f.w)/2;e.x=-(f.w+f.x);i=e.w;b[1]=f;b[2]=e}else{e.x=(f.w-e.w)/2;f.x=-(e.w+e.x);i=f.w;b[1]=e;b[2]=f}if(s){k=A.num1;j=A.denom1}else{k=(l!=0)?A.num2:A.num3;j=A.denom2}if(l==0){o=(s)?7*A',628,':3*A',628,';m=(k-f.d',')-(e.h-j);if(m<o){','k+=(o-m)/2;j+=(o-m)/2}}else{o=(s)?3*l:l;var z=A.',416,';m=(k-f.d)-(z+l/2);if(m<o){k+=o-m}m=(z-l/2',949,'j+=o-m}var d=',3,697,'i,l);d.x=-i;d.y=z-l/2;b[b',50,'d}f.y=k;e.y=-j;b[b',50,'y;c.nuc=',3,534,'b,x,n);c',512,'c.atom=1',87,'c.num',87,'c.den;',541,'x,n,c)},SupSub',1,'e,w,k){var g=',3,22,29,'e,w);var o=k.nuc;var j=k.nuc=',3,470,'k.nuc,e,w,0);if(j.format=="null"){j=k.nuc=',3,'Box.Text("","normal",e,w)}if(o',11,735,'if(!k.textsymbol',467,3,'TeX[o.font][o.c];if(d.ic){k.delta=d.ic*g.scale;if(!k.sub){j=k.nuc=',3,635,'j,',3,865,'(k.delta)],e,w);k.delta=0}}}else{k.delta=0}}if(!k.sup&&!k.sub){return}k.nuc.Styled();',706,3,22,840,'e);var l=',3,22,701,'e);var c=',3,22,29,'l,w).sup_drop;',295,3,22,29,'h,w).sub_drop;var n=0;var m=0;var f;if(o.type&&o.type!="text"&&o.type!="TeX"&&o.type!="null"){n=j.h-c;m=j.d+b}if(k.sub',96,3,470,'k.sub,h,w);a=',3,635,'a,',3,526,'(g.scriptspace)],e,w',')}if(!k.sup){a.y=-Math.max(m,g.sub1,a.h-(4/5)*',3,22,29,'h,w).x_height);k.nuc=',3,635,'j,a],e,w).Styled();delete k.sub;return}var i=',3,470,'k.sup,l,w);i=',3,635,'i,',3,526,1023,');if(e=="D"){f=g.sup1',857,'e','.charAt(','e','.length-1)=="\'"){','f=g.sup3}else{f=g.sup2}}n',405,'n,f,i.d+',3,22,29,'l,w).x_height/4);if(!k.sub){i.y=n;k.nuc=',3,635,'j,i],e,w',85,'k.sup;return}m',405,'m,',3,22,29,'h,w).sub2);var s=g',628,';if((n-i.d)-(a.h-m)<4*s){m=4*s+a.h-(n-i.d);f=(4/5)*g.x_height-(n-i.d);if(f>0){n+=f;m-=f}}i.',92,'();a.',92,'();i.y=n;a.y=-m;i.x=k.delta;if(i.w+i.x>a.w){i.x-=a.w;k.nuc=',3,635,'j,a,i],e,w)}else{a.x-=(i.w+i.x);k.nuc=',3,635,'j,i,a],e,w)}delete k.sup',87,'k.sub}});',3,22,110,112,'="typeset";',191,'=a};',3,'Add(',3,22,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',1091,'\'",SS:"SS\'","',1093,'UpStyle',1,'a){',5,'this.upStyle[a]},DownStyle',1,'a){',5,'this.downStyle[a]},PrimeStyle',1,2,'a',1044,'a',1046,5,'a}',5,'a+"\'"},StyleValue',1,'b,',2,'b=="S"||b=="S\'"){',5,'0.7*a}if(b=="SS"||b=="SS\'"){',5,'0.5*a}',5,'a},StyleSize',1,'b,a){if(b=="S"||b=="S\'"){a=Math.max(0,a-2)}else{if(b=="SS"||b=="SS\'"){a=Math.max(0,a-4)}}return ','a},TeX',1,1128,3,'TeXparams[a]},AddStyle',1,8,'){if(c=="S"||c=="S\'"){b',405,'0,b-2)}else{if(c=="SS"||c=="SS\'"){b',405,'0,b-4)}}if(b!=4){a=\'<span class="size\'+b+\'">\'+a+"</span>"}',5,'a},AddClass',1,'a,b){if(a!=""&&a!="normal"){b=',3,'HTML.Class(a,b)}',5,'b}});',3,'Package(',3,22,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',1154,'punct',1156,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',1156,',bin:2,rel:3,open',1162,'}},SSsep:{ord:{op:1},op',1156,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',1,'a,d,b){if(a&&a.atom&&d.atom){var c=this.DTsep;if(b',785,'S"){c=this.SSsep}',52,'c[a.type];if(e&&e[d.type]!=null){',5,3,'TeX[this.sepW[e[d.type]]]}}',5,'0},',22,1,248,82,360,'var g=-10000;this.w=0;this.mw=0;this.Mw=0;this.h=g;this.d=g;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;',73,'="";','this.cbuf','="";this.hbuf="";this.hx=0;var a=null;var f;this.x=0;','this.dx=0;',40,212,';b++){f=a;a=',191,'[b];switch(a.type){case"size":','this.FlushClassed();','this.size=a.size;','a=f;break;case"','style":',1198,'if(',82,1044,82,1046,82,'=a.style+"\'"}else{',82,'=a.style}',1200,'space":if(typeof(a.w)=="object"){if(',82,1044,'1)=="S"){a.w=0.5*a.w[0]/18',857,82,785,'S"){a.w=0.7*a.w[0]/18}else{a.w=a.w[0]/18}}}this.dx+=a.w-0;',1200,'html":',1198,'if(this.hbuf==""){this.hx=this.','x}','this.hbuf+=','a.html;a=f;break;default:if(!a.atom&&a.type!="box"){break}a.nuc.x+=this.dx+this.',1170,'(f,a,',82,');','if(a.nuc.x||a.nuc.y){','a.nuc',26,1192,'this.x=this.x+this.w;',66,'x','+a.nuc.x+a.nuc.','mw','<this.mw){this.mw=this.','x',1239,'mw}',66,'w',1239,'Mw',104,1239,'Mw}this.w+=a.nuc.w+a.nuc.x;if(a.nuc.',67,'if(',73,'!=a.nuc.tclass&&',73,'!=""){','this.FlushText','()}',66,'tbuf==""&&',1190,'==""){this.tx=this.x}this.tbuf+=',506,';',73,'=a.nuc.tclass}else{',1198,1232,'this.Place(a.nuc)}',1224,'x}',1226,506,'}this.h',405,'this.h,a.nuc.h+a.nuc.y);this.bh',405,'this.bh,a.nuc.bh);this.d',405,'this.d,a.nuc.d-a.nuc.y);this.bd',405,'this.bd,a.nuc.bd);break}}',1198,66,'dx){',1226,3,476,'(this.dx);this.w+=this.dx;',66,'w',104,'}',66,'w',1241,'w}}',66,'hbuf==""){',5,3,36,'()}',66,'h==g){this.h=0}',66,'d==g){this.d=0}',52,'new ',3,'Box("html",this.hbuf,this.w,this.h,this.d);e.bh=this.bh;e.bd=this.bd;e.mw=this.mw;e.Mw=this.Mw;',5,'e},FlushText',65,66,'tbuf','==""){return}',1190,'+=',3,22,'.AddClass(',73,',this.tbuf);this.tbuf="";',73,'=""},FlushClassed',65,1258,'();',66,'cbuf',1318,1224,'tx}',1226,3,22,'.AddStyle(',82,83,1190,');',1190,'=""},Place',1,'b){var a=\'<','span style="position: relative',';\';if(b.x){a+=" margin-left:"+',3,'HTML.Em','(b.x)+";"}if(b.y){a+=" top:"+',3,1351,'(-b.y)+";"}b.html=a+\'">\'+b.html+"</span>";','b.h+=b.y;b.d-=b.y;b.x=0;b.y=0','},PlaceSeparateSkips',1,'b){if(b.y',467,'b.Mw-b.w;var c=b.mw;var a=b.Mw-b.mw;b.html=',3,476,'(c-d)+\'<',1348,'; top:\'+',3,1351,'(-b.y)+";left:"+',3,1351,'(d)+"; width:"+',3,1351,'(a)+\';">\'+',3,476,'(-c)+b.html+',3,476,'(d)+"</span>"}if(b.x){b.html=',3,476,'(b.x)+b.html}',1356,'}});',3,'Parse',189,52,'new ',3,'Parser','(d,a,b,c);e.Parse();',5,'e};',3,1393,189,'this.string=d;this.i=0;',191,'=new ',3,188,'(null,a,b,c)};',3,'Package(',3,1393,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript",_:"HandleSubscript"," ":"Space","\\01','":"Space","\\','t',1411,'r',1411,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry","#":"Hash"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],triangleright:[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],leftharpoondown:[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1423,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1423,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1421,'rangle":[5',1417,'langle":[4',1419,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1435,'T"],scriptstyle',1435,'S"],scriptscriptstyle',1435,'SS"],rm',':["HandleFont",','0],mit',1443,'1],oldstyle',1443,'1],cal',1443,'2],it',1443,'4],bf',1443,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1457,'arctan',1457,'arg',1457,'cos',1457,'cosh',1457,'cot',1457,'coth',1457,'csc',1457,'deg',1457,'det',':"NamedOp",','dim',1457,'exp',1457,'gcd',1477,'hom',1457,'inf',1477,'ker',1457,'lg',1457,'lim',1477,'liminf',':["NamedOp",null,\'lim<span style="margin-left: \'+1/6+\'em"></span>','inf\'],limsup',1495,'sup\'],ln',1457,'log',1457,'max',1477,'min',1477,'Pr',1477,'sec',1457,'sin',1457,'sinh',1457,'sup',1477,'tan',1457,'tanh',1457,588,':["HandleAtom","',588,'"],',609,1521,609,'"],',641,1521,641,'"],over',':"HandleOver",','overwithdelims',1532,'atop',1532,'atopwithdelims',1532,'above',1532,'abovewithdelims',1532,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1544,'","[","]"],choose',1544,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1550,'overrightarrow',1550,'underrightarrow',1550,'overleftarrow',1550,'underleftarrow',1550,'overleftrightarrow',1550,'underleftrightarrow',1550,'overset',':["Extension","underset-overset"],','underset',1566,'llap',':"HandleLap",','rlap',1570,'ulap',1570,'dlap',1570,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1578,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1582,'not="],neq',1582,'not="],notin',1582,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1582,1589,'lower2mu{\\\\mathrel{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1582,'mathbin{\\\\rm mod}"],pmod',1582,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1582,'ointop\\\\nolimits"],doteq',1582,'buildrel\\\\textstyle.\\\\over="],ldots',1582,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1582,1603,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1582,1603,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1582,1603,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1582,1589,'kern-4mu}"],relbar',1582,1589,'smash-}"],Relbar',1582,'mathrel="],bowtie',1582,'mathrel\\\\triangleright\\\\joinrel\\\\mathrel\\\\triangleleft"],models',1582,'mathrel|\\\\joinrel="],mapsto',1582,1589,'mapstochar\\\\','rightarrow}"],rightleftharpoons',1582,588,'{\\\\',1589,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\leftharpoondown}"],hookrightarrow',1582,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1582,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1582,'Relbar\\\\joinrel\\\\','Rightarrow"],','longrightarrow',1582,'relbar',1637,'"],longleftarrow',1582,1640,'relbar"],Longleftarrow',1582,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1582,1589,1628,'minuschar',1637,'}"],longleftrightarrow',1582,'leftarrow',1637,'"],','Longleftrightarrow',1582,1654,1644,'iff:["Macro","\\\\;\\\\',1666,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1673,'rm #1}",1],mathbf',1673,'bf #1}",1],','mathbb',1673,1678,'mathit',1673,'it #1}",1],textrm',1582,'mathord{\\\\hbox{#1}}",1],textit',1582,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1582,1688,1691,1690,'pmb',1582,'rlap{#1}\\\\kern1px{#1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1699,'ord",1.15],bigg',1699,'ord",1.45],Bigg',1699,'ord",1.75],bigl',1699,'open",0.85],Bigl',1699,'open",1.','15],biggl',1699,1710,'45],Biggl',1699,1710,'75],bigr',1699,'close",0.85],Bigr',1699,'close",1.','15],biggr',1699,1721,'45],Biggr',1699,1721,'75],bigm',1699,'rel",0.85],Bigm',1699,'rel",1.15],biggm',1699,'rel",1.45],Biggm',1699,'rel",1.75],mathord',1521,'ord"],mathop',1521,'op"],mathopen',1521,'open"],mathclose',1521,'close"],mathbin',1521,'bin"],mathrel',1521,'rel"],mathpunct',1521,'punct"],mathinner',1521,'inner"],','mathchoice',1455,1753,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1455,'fbox"],strut:"Strut",mathstrut',1582,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute:["MathAccent",[7,0,19]],grave'],
  [':["MathAccent",[','7,0,','18]],ddot',0,1,'127]],tilde',0,1,'126]],bar',0,1,'22]],breve',0,1,'21]],check',0,1,'20]],hat',0,1,'94]],vec',0,'0,1,126]],dot',0,1,'95]],widetilde',0,'0,3,101]],widehat',0,'0,3,98]],_:["Replace","ord","_","normal",-0.4,0.1]," ":["Replace","','ord","&nbsp;","normal','"],angle:["Macro","\\\\kern2.5mu\\\\raise1.54pt{\\\\rlap{\\\\scriptstyle \\\\char{cmsy10}{54}}\\\\kern1pt\\\\rule{.45em}{-1.2pt}{1.54pt}\\\\kern2.5mu}"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',34,'c"],null,3,"D"],cr:"','HandleRow','","\\\\":"',38,'",newline:"',38,'",noalign:"','HandleNoAlign','",eqalignno',34,'r","l","r"],[5/8,3],3,"D"],','leqalignno',34,47,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',52,'1],scriptsize',52,'2],small',52,'3],normalsize',52,'4],large',52,'5],Large',52,'6],LARGE',52,'7],huge',52,'8],Huge',52,'9],dots:["Macro","\\\\ldots"],newcommand',':["Extension","','newcommand"],','newenvironment',72,73,'def',72,73,'color',72,'HTML"],','href',72,'HTML"],"class":["Extension","',82,'style',72,82,'cssId',72,82,'unicode',72,82,'bbox',72,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array','",null,null,"c"],pmatrix',101,32,'bmatrix',101,'","[","]","c"],Bmatrix',101,'","\\\\{","\\\\}","c"],vmatrix',101,'","\\\\vert","\\\\vert","c"],Vmatrix',101,'","\\\\Vert","\\\\Vert","c"],cases',101,'","\\\\{",".","ll",null,2],eqnarray:["','Array",null,null,"rcl",[5/18,5/18],3,"D','"],"eqnarray*":["',116,'"],equation:"Equation","equation*":"Equation",align',72,'AMSmath','"],"align','*":["Extension","AMSmath"],','aligned',72,121,'"],','multline',72,121,'"],"',128,123,'split',72,121,'"],gather',72,121,'"],"gather',123,'gathered',72,121,'"]},AddSpecial',':function(','a){for(var b in a){','jsMath.Parser.prototype','.special[',148,'[b]]=a[b]}},Error',146,'a){this.i=','this.string','.length;','if(a','.error){this.error=a','.error}','else{if(!','this',157,'}}},nextIsSpace',':function(){','return ','this.string.charAt(this.i',').match(/[ \\n\\r\\t]/)},trimSpaces',146,'a){if(typeof(a)!="string"){',164,'a}',164,'a.replace(/^\\s+|\\s+$/g',',"")},','Process',146,'a){var ','c=','this.mlist.data',';a','=jsMath.Parse(','a,c.font,c.size,c.style);if(a','.error){this.Error(','a);','return null','}if(a.mlist.Length()==','0){',184,185,'1','){var b=','a.mlist.','Last();if(','b.atom&&b.type=="ord"&&b.nuc&&!b.sub&&!b.sup&&(b.nuc.type=="text"||b.nuc.type=="TeX")){',164,'b.nuc}}return{type:"mlist",mlist:a.mlist}},GetCommand',':function(){var ','a=/^([a-z]+|.) ?/i;var b=a.exec(','this.string.slice(this.i','));if(b){this.i+=b[1].length;',164,'b[1]}','this.i++;','return" "},GetArgument',146,'b,d){while','(this.nextIsSpace()){this.i','++}','if(this.','i>=',154,'.length){','if(!d){','this.Error("','Missing',' argument for "+b)}',184,'}if(',165,')==this.close){',212,213,'Extra close brace','")}',184,'}if(',165,')==this.cmd){',202,164,'this.cmd+','this.GetCommand','()}if(',165,')!=this.open){',164,165,'++)}var a=++this.i;var e=1;var f="";','while(this.i<this.string.length){','f=',165,'++);if(','f','==this.cmd){this.i++}else{if(','f==this.open){e++}','else{if(','f==this.close){','if(e==0){',213,222,'");',184,'}if(--e==0){',164,154,'.slice(a,this.i-1)}}}}}',213,'Missing close brace','");',184,'},','ProcessArg',146,'b','){var a=','this.GetArgument(','b);','if(this.error){return',' null}','return this.Process(a)},','ProcessScriptArg',146,'c',264,265,'c);',267,268,'if(a.charAt(0)==this.cmd',190,'a.substr(1);if(b=="frac"){a+="{"+',265,'b)+"}";',267,268,'a+="{"+',265,'b)+"}";',267,' null}}else{if(b','=="sqrt"){a+="["+','this.GetBrackets(','b)+"]";',267,268,'a+="{"+',265,'b)+"}";',267,289,'.match(this.scriptargs)){a+="{"+',265,'b)+"}";',267,' null}}}}}',269,'GetDelimiter',146,'a){while',206,'++}var b=',165,');',208,'i<',154,211,202,'if(b','==this.cmd){','b="\\\\"+',231,'(a);',267,' null}}','if(','this.delimiter[','b]!=null){',164,326,'b]}}',213,214,' or unrecognized delimiter for "+a);',184,'},GetDimen',146,'a,d){var ','b;var c=0;if',206,'++}if(',165,')=="{"){b=',265,'a)}else{b=',198,');c=1}',164,'this.ParseDimen(','b,a,c,d)},ParseDimen',146,'c,b,e,f',264,'c.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!a){',213,214,' dimension or its units for "+b);',184,'}if(e){this.i+=a[0].length;if',206,'++}}var g=a[1]-0;if(a[4]=="px"){g/=jsMath.em','}else{if(a[4]=="','pt"){g/=10',361,'ex"){g*=','jsMath.TeX','.x_height',361,'mu"){if(f){g=g/18}else{g=[g,"mu"]}}}}}',164,'g},GetNext',163,'while',206,'++}',164,165,')},GetBrackets',146,176,'e','=this.GetNext();if(','e!="["){return""}var d=++this.i;var b=0;',238,'e=',165,241,'e=="{"){b++}',245,'e=="}"){','if(b==0){',213,222,' while looking for',' \']\'");',184,'}b--}',245,'e',243,'e=="]"){',390,164,154,'.slice(d,this.i-1)}}}}}}',213,'Couldn\'t find',' closing \']\' for argument to',' "+this.cmd','+a);',184,'},GetUpto',146,'b,d){while',206,'++}var g=this.i;var e=0;',238,'var f=',165,241,'f=="{"){e++}',245,'f=="}"){',247,213,222,393,408,'+d);',184,'}e--}',245,'f',319,'if(',198,',this.i+','5)=="begin"){e++;this.i+=4}',245,198,436,'3)=="end"){if(e>0){e--;this.i+=2}}}',247,'if(',198,436,'d.length)==d){f=',165,'+d','.length);','if(f.match(/[^a-z]/i)||!d.match(/[a-z]/i)){var a=',154,'.slice(g,this.i-1);this.i+=d',155,164,'a}}}this.i++}}}}',213,406,408,'+d+" for "+b);',184,'},','ProcessUpto',146,'b,c',264,'this.GetUpto','(b,c);',267,268,269,'GetEnd',146,'c){var a="";var b="";while(b!=c){a+=',466,'("begin{"+c+"}","end");',267,268,'b=','this.GetArgument(this.cmd','+"end");',267,324,164,'a},Space',':function(){},','Prime',146,'d',190,'this.mlist.',192,'b==null||(!b.atom&&b','.type!="box"&&','b','.type!="frac")){','b=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}))}','if(b.sup){',213,'Prime causes double exponent',': use braces to clarify");return','}var a','="";while(d=="\'"){a+=this.cmd+"prime";d',381,'d=="\'"){this.i++}}b.sup=this.',174,'(a);b.sup.isPrime=1},RaiseLower',146,176,'b','=this.GetDimen(this.cmd+','a,1);',267,'}var c','=this.ProcessScriptArg','(',230,'a);',267,'}if(a=="lower"){b=-b}','this.mlist.Add(new jsMath.mItem("','raise",{nuc:c,raise:b}))},MoveLeftRight',146,'b){var ','a',512,'b,1);',267,'}var c',516,'(',230,'b);',267,'}if(b=="moveleft"){a=-a}',497,'Space(a','));',497,'Atom("ord",c));',497,'Space(-a))},Require',146,176,'b=',479,409,267,'}b=','jsMath.Extension','.URL(b);if(','jsMath.Setup.','loaded[b]){return}','this.Extension(null,[','b])},Extension',146,'a,b){','jsMath.Translate','.restart=1;if(a','!=null){','delete ',148,'[b[1]||"macros"][a]}',551,'.Require(b[0],',559,'.asynchronous',');throw"restart"},Frac',146,525,'a','=this.ProcessArg(this.cmd+','b);',267,'}var c',573,'b);',267,'}',497,'Fraction("over",a,c))},Sqrt',146,525,'d=',291,230,'b);',267,503,573,'b);',267,'}var c=jsMath.mItem.Atom("','radical",a);','if(d!=""){c.root=this.',174,'(d);',267,'}}',490,'Add(c)},','Root',146,525,'d=this.',462,'(',230,'b,"of");',267,503,573,'b);',267,594,595,'c.root=d;',490,602,'BuildRel',146,176,'b=this.',462,'(',230,'a,"over");',267,'}var d',573,'a);',267,594,'op",d);c.limits=1;c.sup=b;',490,602,'MakeBig',146,337,'c=d[0];var b=d[1]*jsMath.p_height;var e','=this.GetDelimiter(this.cmd+','a);',267,'}',497,'Atom(c,','jsMath.Box.Delimiter(','b,e,"T")))},Char',146,'b',264,479,'+b);',267,'}var c=',479,'+b);',267,'}if(!',365,'[a]){',365,'[a]=[];',555,'jsMath.Font.URL(a',')])}else{',497,'Typeset(','jsMath.Box.TeX(c-0,a,',178,'.style,',178,'.size)))}},Matrix',146,'b,h){var e=',178,';var a=',479,'+b);',267,'}var g=','new jsMath.','Parser(a','+this.cmd+"\\\\",null,','e.size,h[5]||"T");g.matrix=b;g.row=[];g.table=[];g.rspacing=[];g.Parse();if(g',182,'g);return}g.',38,'(',528,'var d','=jsMath.Box.','Layout(e.size,g.table,h[2]||null,h[3]||null,g.rspacing,h[4]||null);if(h[0]&&h[1]){',417,648,'d.h+d','.d-jsMath.hd/4,this.delimiter[','h[0]],"T");var c=',648,'d.h+d',698,'h[1]],"T");d',693,'SetList([','f,d,c],e.style,e.size)}',497,'Atom((h','[0]?"inner":"ord"),','d))},HandleEntry',146,'b){if(!this.matrix){this.Error(b','+" can only appear in a matrix or array");return}if(',178,'.openI!=null',264,490,'Get(',178,'.openI);if','(a.left){',213,214,408,'+"right','")}else{',213,257,'")}}if(',178,'.overI',561,490,'Over()}var d=',178,';',490,'Atomize(','d.style,d.size);','var c=',490,669,739,'c.entry=d.entry;delete d.entry;if(!c.entry){c.entry={}}this.row[','this.row.length',']=c;this.mlist=',683,'mList(null,null,d.size,d.style)},',38,146,'a,c){var b;if(!this.matrix){','this.Error(this.cmd+a',713,'a=="\\\\"){b=',291,230,'a);',267,'}if(b){b=',348,'b,',230,'a,0,1)}}this.HandleEntry(a);if(!c||',745,'>1||this.row[0].format!="null"){this.table[this.table.length]=this.row}if(b){','this.rspacing[this.table.length',']=b}this.row=[]},',44,146,'b',264,479,'+b);',267,656,'a.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(c.length==a',211,'return}var ','e=',348,'c,',230,'RegExp.$1,0,1);',267,'}',766,']=(',766,']||0)+e},Array',146,'b,c){var ','e=c[2];var i=c[3];if(!e){e=',479,'+"begin{"+b+"}");',267,'}}e=e.replace(/[^clr]/g,"");e=e.split("");var g=',178,678,'c[5]||"T";var k=this.GetEnd(b);',267,'}',417,683,'Parser(k',685,'g.size,a);f.matrix=b;f.row=[];f.table=[];f.rspacing=[];f.Parse();if(f',182,'f);return}f.',38,'(',528,'var h',693,'Layout(g.size,f.table,e,i,f.rspacing,c[4],c[6],c[7]);if(c[0]&&c[1]){var d=',648,'h.h+h',698,'c[0]],"T");var j=',648,'h.h+h',698,'c[1]],"T");h',693,705,'d,h,j],g.style,g.size)}',497,'Atom((c',709,'h))},Begin',146,176,'b=',479,409,267,'}if(b.match(/[^a-z*]/i)){this.Error(\'Invalid environment name "\'+b+\'"\');return}if(!this.',99,'[b]){this.Error(\'Unknown environment "\'+b+\'"\');return',656,'this.',99,'[b];if(typeof(','c',')=="string"){','c=[c]}this[c[0]](b,c.slice(1))},End',146,176,'b=',479,409,267,'}',752,'+"{"+b+"} without matching',408,'+"begin")},Equation',146,'b',264,'this.GetEnd(b);',267,'}',154,'=a+',198,');this.i=0},Spacer',146,'b,a){',497,538,'-0))},Hskip',146,525,'a',512,'b);',267,'}',497,538,'))},HBox',146,176,'c=',479,409,267,'}var b',693,'InternalMath(c,',178,'.size);',497,669,'b))},Rule',146,'b,f){var a',512,528,267,'}var e',512,528,267,'}var g',512,528,267,'}e+=g;var c;if(e!=0){e=Math.max(1.05/jsMath.em,e)}if(e==0||a==0||f=="blank"){c=','jsMath.HTML.','Blank(a,e)}else{c=',910,'Rule(a,e)}if(g){c=\'<span style="vertical-align:\'+',910,'Em(-g)+\'">\'+c','+"</span>"}',497,669,683,'Box("html",c,a,e-g,g)))},Strut',196,'a=',178,'.size;var b',693,'Text("","normal","T",a).Styled();b.bh=b.bd=0;b.h=0.8;b.d=0.3;b.w=b.Mw=0;',497,669,'b))},Phantom',146,791,'a',573,'b);',267,'}',522,'phantom",{phantom:a,v:c[0],h:c[1]}))},Smash',146,791,'a',573,'b);',267,'}',522,'smash",{smash:a}))},MathAccent',146,'b,',176,'e',573,'b);',267,'}var d','=jsMath.mItem.','Atom("accent",e);d.accent=a[0];',490,'Add(d)},NamedOp',146,'c,f){var b=(c.match(/[^acegm-su-z]/))?1:0;var g=(c.match(/[gjpqy]/))?0.2:0;if(f[1]){c=f[1]}var e',956,'TextAtom("','op",c,',365,'.fam[0],b,g);if(f[0]!=null){e.limits=f[0]}',490,'Add(e)},Limits',146,'a,c',190,490,'Last();if(!b||b.type!="op"){',752,'+" is allowed only on operators");return}b.limits=c[0]},Macro',146,'b,d){var e=d[0];if(d[1]){var a=[];for(var c=0;c<d[1];c++){a[a.length]=',479,'+b);',267,'}}e=this.','SubstituteArgs','(a,e)}',154,'=','this.AddArgs(e,',198,'));this.i=0},',982,146,'b,',176,'f="";var e="";var g;var d=0;while(d<a',211,'g=a.charAt(d++);if(g',319,'f+=g+a.charAt(d++)}',245,'g=="#"){',995,'=="#"){f+=g}',159,'g.match(/[1-9]/)||g>b',211,213,'Illegal ','macro parameter ','reference");',184,'}e=this.AddArgs(',986,'f),b[g-1]);f=""}}else{f+=g}}}',164,986,'f)},AddArgs',146,'b,a){if(','a.match(/^[a-z]/i)&&b.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){b+=" "}',164,'b+a},Replace',146,558,497,'TextAtom(','b[0],b[1],b[2','],b[3]))},Hash',146,'a){',213,'You can\'t use \'',1007,'character #\' in math mode")},Tilde',146,'a){',497,963,30,'"))},HandleLap',146,176,624,261,'();',267,'}b=',522,'lap",{nuc:b,lap:a}))},HandleAtom',146,791,'a',573,'b);',267,'}',497,'Atom(c[0],a))},HandleMathCode',146,'a,b','){this.HandleTeXchar(',1025,'])},HandleTeXchar',146,'b,a,c){if(b==7&&',178,'.font',561,'a=',178,'.font}a=',365,'.fam[a];if(!',365,'[a]){',365,'[a]=[];',555,666,')])}else{',497,'TeXAtom(',365,'.atom[b],c,a))}},','HandleVariable',146,'a',1059,'7,1,','a.charCodeAt(0))},','HandleNumber',146,'a',1059,1,1088,'HandleOther',146,'a){',497,963,'ord",a,"normal"))},HandleComment',196,'a;',238,'a=',165,241,'a=="\\r"||a=="\\n"){return}}},HandleStyle',146,558,178,'.style=b[0];',522,'style",{style:b[0]}))},HandleSize',146,558,178,'.size=b[0];',522,'size",{size:b[0]}))},HandleFont',146,868,178,'.font=a[0]},HandleCS',196,'b=',231,'();',267,'}',208,'macros[b]){var a=this','.macros',842,'a',844,'a=[a]}this[a[0]](b,a.slice(1','));return}',208,'mathchardef','[','b]){this.HandleMathCode(b,this.',1139,'[b]);return}if(',326,230,1141,'delimiter[',230,'b].slice(0,3',1137,213,'Unknown control sequence \'"+',230,'b+"\'")},HandleOpen',163,490,'Open()},HandleClose',163,'if(',178,'.openI==null){',213,222,'");',778,'a=',490,'Get(',178,720,'(!a||a.left==null){',490,'Close()}else{',213,222,' or missing',408,725,'");return}},HandleLeft',146,176,'b',642,'a);',267,'}',490,'Open(b)},HandleRight',146,525,'c',642,'b);',267,503,'=',490,'Get(',178,720,'(a&&a.left',561,490,'Close(c)}else{',213,'Extra open brace or missing',408,'+"left")}},HandleOver',146,558,'if(',178,731,561,213,'Ambiguous use of',408,409,'return}',178,731,'=',490,'Length();',178,'.overF={name:a};if(b.length>0){',178,'.overF.','left=',326,'b[0]];',178,1228,'right=',326,'b[1]]}',245,'a.match(/withdelims$/)){',178,1228,'left',642,'a);',267,'}',178,1228,'right',642,'a);',267,'}}else{',178,1228,'left=null;',178,1228,1234,'null}}if(a.match(/^above/)){',178,1228,'thickness',512,'a,1);',267,1252,178,1228,'thickness=null}},HandleSuperscript',196,'a=',490,192,178,731,'==',490,'Length()){a=null}if(a==null||(!a.atom&&a',493,'a',495,'a=',497,498,'if(a.sup){if(a.sup.isPrime){a=',497,498,'else{',213,'Double exponent',502,'}}a.sup',516,'("superscript");',267,'}},HandleSubscript',196,'a=',490,192,178,731,'==',490,'Length()){a=null}if(a==null||(!a.atom&&a',493,'a',495,'a=',497,498,'if(a.sub){',213,'Double subscripts',502,'}a.sub',516,'("subscript");',267,'}},Parse',196,'b;',238,'b=',165,241,'this.mathchar[',1141,'mathchar[b])}',245,'this',149,'b]){this[this',149,'b]](b)}else{',208,'letter','.test(b)){this.',1083,'(b)}else{',208,'number',1338,1089,1340,'this.',1095,'(b)}}}}}if(',178,'.openI!=null',264,490,'Get(',178,720,'(a.left){',213,214,408,725,726,213,257,'")}}if(',178,731,561,490,'Over()}},Atomize',196,'a=',490,'init;if(!this.error){',490,738,'a.style,a.size)}},Typeset',196,'f=',490,'init;var ',606,'typeset=',490,669,'f.style,f',892,267,'\'<span class="error">\'+this.error',916,'if(d.format=="null"){return""}d.Styled().Remeasured();var e=0;var c=0;if(d.bh>d.h&&','d.bh>jsMath.h+0.001){','e=1}if(d.bd>d.d&&d.bd>jsMath.d+0.001){e=1}if(d.h>jsMath.h||d.d>jsMath.d){c=1}var b=d.html;if(e){if(','jsMath.Browser.','allowAbsolute){var g=0;if(',1391,'g=jsMath.h-d.bh}b=',910,'Absolute(b,d.w,jsMath.h,0,g)}',245,1393,'valignBug){','b=\'<span style="line-height:\'+jsMath.HTML.Em(jsMath.d',')+\';">\'+b',916,159,1393,'operaLineHeightBug',264,910,'Em(Math.max(0,d.bd-jsMath.hd)/3);',1402,')+"; position:relative; top:"+a+"; vertical-align:"+a+\'">\'+b+"</span>"}}}c=1}if(c){b+=',910,'Blank(0,d.h+0.05,d.d+0.05)}return\'<nobr><span class="scale">\'+b+"</span></nobr>"}});',148,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',146,176,'c=',148,1132,';c[a]=["Macro"];for(var b=1;b<arguments',155,'b++){c[a][c[a].length]=arguments[b]}}});',551,'={safeRequire:1,Macro',146,558,'var c=',148,1132,';if(b==null){b=a}c[a',']=["Extension",','b]},LaTeX',146,'b,',176,'c=',148,'.',99,';c[b',1435,'a,"',99,'"]},Font',146,1017,'a==null){a=b+"10"}var c=',148,1132,';c[b',1435,666,')]},MathChar',146,'d,',176,'e=',365,'.famName[d','];if(e==null){e=',365,'.fam',155,365,'.fam[e]=d;',365,1463,']=e}var b=',148,'.',1139,';for(var f in a){b[f]=[a[f][0],e,a[f][1]]}},Require',146,1017,'this.safeRequire&&(b.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(b.match(/:/)&&b.substr(0,jsMath.root.length)!=jsMath.root))){',553,'loaded[b]=1;return}',553,'Script(this.URL(b),a)},URL',146,'a){a=',172,',"");if(!a.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){a="extensions/"+a}if(!a.match(/\\.js$/)){a+=".js"}',164,'a}};',1417,174,146,'a){',553,'Body();','jsMath.Script.','Push(',559,',"','Asynchronous','",a)},','ProcessBeforeShowing',146,'a){',553,1495,'var b=(','jsMath.Controls.cookie.','asynch?"',1500,'":"','Synchronous','");',1496,1497,559,',b,a)},','ProcessElement',146,'a){',553,1495,1496,1497,559,',"ProcessOne",a)}});',559,'={element:[],cancel:0,Parse',146,'d,c,',176,'b=','jsMath.Global.','cache[d];if(!','b[jsMath.em',']){',1535,']={}}',417,1535,'][c];if(!f||',176,'e',180,'c,null,null,d);e.Atomize();f=e.Typeset();if(!a){',1535,'][c]=f}}',164,'f},TextMode',146,'b,a){this.Parse("','T",b,a)},DisplayMode',146,1551,'D",b,a)},','GetElementText',146,'b){if(','b.childNodes.length','==1&&','b.childNodes[','0].nodeName==="#comment"){var a=',1561,'0].nodeValue.match(/^\\[CDATA\\[(.*)\\]\\]$/);if(a',561,164,'a[1]}}var c=this.','recursiveElementText','(b);b.alt=c;if(c.search("&")>=0){','c=c.replace(/&','lt;/g,"<");',1570,'gt;/g,">");',1570,'quot;/g,\'"\');',1570,'amp;/g,"&")}',164,'c},',1568,146,1558,'b.nodeValue',561,'if(b.nodeName!=="#comment"){',164,1583,'}',164,1583,'.replace(/^\\[CDATA\\[((.|\\n)*)\\]\\]$/,"$1")}if(',1559,'===0){return" "}var c="";for(var a=0;a<',1559,';a++){c+=this.',1568,'(',1561,'a])}',164,'c},ResetHidden',146,'a){a.innerHTML=\'<span id="jsMath_hiddenSpan" style="position:absolute"></span>\'+',1393,'operaHiddenFix;a','.className','="";','jsMath.hidden','=a.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop','}jsMath.ReInit()},ConvertMath',146,'c,b,',176,606,1556,'(b);this.ResetHidden(b);if(d.match(/^\\s*\\\\nocache([^a-zA-Z])/)){a=true;d=d.replace(/\\s*\\\\nocache/,"")}',606,'Parse(c,d,a);b',1606,'="typeset";b.innerHTML=d},',1518,146,'c){','this.restart','=0;if(!c',1606,'.match(/(^| )math( |$)/)){',778,'a=(c',1606,'.toLowerCase','().match(/(^| )nocache( |$)/)!=null);try{var d=(c.tagName',1632,'()=="div"?"D":"T");this.ConvertMath(d,c,a);c.onclick=jsMath.Click.CheckClick;c.ondblclick=jsMath.Click.CheckDblClick}catch(e){if(c.alt',190,'c.alt;b=b.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");c.innerHTML=b;c',1606,'="math";if(a){c',1606,'+=" nocache"}}',1610,'}},','ProcessElements',146,'b){',1496,'blocking=','1;if(b>=','this.element','.length||this.cancel){this.','ProcessComplete','();',208,'cancel){','jsMath.Message.','Set("',174,' Math: Canceled");',1656,'Clear()}',1496,1648,'0;',1496,174,'()}else{var a=',1496,'SaveQueue();','this.ProcessElement(this.element[','b]);if(',1625,'){',1496,1497,'this,"',1644,'",b);',1496,'RestoreQueue(a);',1496,1648,'0;setTimeout("',1496,174,'()",',1393,'delay)}else{',1496,1680,'b++;var c=Math.floor(100*b/',1650,449,'jsMath.Message.Set("Processing Math',': "+c+"%");setTimeout("',559,'.',1644,'("+b+")",',1393,'delay)}}},',1500,146,'a','){if(!jsMath.initialized){jsMath.Init()}this.element','=this.GetMathElements(','a);',1496,1648,'1;this.cancel=0;this',568,'=1;',1694,': 0%",1);setTimeout("',559,'.',1644,'(0)",',1393,'delay)},',1512,146,1017,'a==null',1705,1706,'b);a=0}this',568,'=0;while(a<',1650,211,1670,'a]);if(',1625,'){','jsMath.Synchronize','("',559,'.',1512,'(null,"+a+")");',1496,174,'();return}a++}this.',1652,'(1)},ProcessOne',146,'a',1705,'=[a];this.',1512,'(null,0)},GetMathElements',146,'d){var b=[];var a;',212,'d=','jsMath.document','}if(typeof(d',844,'d=',1757,'.getElementById(d)}if(!','d.getElementsByTagName','){',184,656,1763,'("div','");for(a=0;a<c.length;a++){if(c[a].className&&c[a].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&d.getElementsByName){c[a].setAttribute("name","_jsMath_")}else{b[b.length]=c[a]}}}','c=',1763,'("span',1769,'if(',1393,'renameOK','&&d','.getElementsByName','){b=d',1778,'("_jsMath_','")}',245,1608,'.sourceIndex','){b.sort(function(f,e){',164,'f',1785,'-e',1785,'})}}',164,'b},',1652,146,'c){if(',1393,1776,190,1757,1778,1781,'");for(var a=b.length-1;a>=0;a--){b[a].removeAttribute("name")}}',1610,';',1650,'=[];',1625,'=null;if(!c){',1694,': Done");',1656,'Clear()}',1656,'UnBlank();if(',1393,'safariImgBug&&(',1508,'font=="symbol"||',1508,'font=="image")){',208,'timeout){clearTimeout(this.timeout)}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); ',1825,'(1,0); ',559,'.timeout = null",2000)}},Cancel',163,559,'.cancel=1;if(',1496,'cancelTimer){',1496,'cancelLoad()}}};',1417,'ConvertTeX',146,'a){',1496,'Push(jsMath.tex2math,"',1839,1501,'ConvertTeX2',146,'a){',1496,1843,1846,1501,'ConvertLaTeX',146,'a){',1496,1843,1853,1501,'ConvertCustom',146,'a){',1496,1843,1860,1501,'CustomSearch',146,'c,b,a,d){',1496,1497,'null,function(){jsMath.tex2math.',1867,'(c,b,a,d)})},tex2math:{',1839,485,1846,485,1853,485,1860,485,1867,':function(){}}});',1736,'=',1496,'Synchronize;try{if(','window.parent','!=window&&window.jsMathAutoload){',1889,'.jsMath=jsMath;',1757,'=',1889,'.document;jsMath.window=',1889,'}}catch(err){}',1533,'Register();jsMath.Loaded();jsMath.Controls.GetCookie();',553,'Source();',1533,'Init();',1496,'Init();',553,'Fonts();if(',1757,'.body){',553,'Body()}',553,'User("onload")}};']

]);
//end = new Date().getTime();
//alert(end-start);
